/* bodyrel.c :  entry=bodyrel */
/* compiled by EusLisp 9.15() for Linux64 created on host04.storm.ros.org(Mon Aug 31 14:55:10 UTC 2015) */
#include "eus.h"
#include "bodyrel.h"
#pragma init (register_bodyrel)
extern double fabs();
extern pointer fcallx();
static void init_ftab();
extern pointer loadglobal(),storeglobal();
static pointer module,*qv,codevec,quotevec;
extern pointer ___bodyrel();
extern pointer build_quote_vector();
static int register_bodyrel()
  { add_module_initializer("___bodyrel", ___bodyrel);}

static pointer F4509coplanar_fe_intersection();
static pointer F4510find_next_segment();
static pointer F4511find_loop();
static pointer F4512punch_hole();
static pointer F4513construct_polygon();
static pointer F4514remove_non_overlapping_border();
static pointer F4515coplanar_ff_intersection();
static pointer F4516face_();
static pointer F4517face_();
static pointer F4518non_coplanar_fe_relation();
static pointer F4519ff_relation();
static pointer F4520bb_relation();
static pointer F4521make_lines();
static pointer F4522copy_face();

/*coplanar-fe-intersection*/
static pointer F4509coplanar_fe_intersection(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT4526;}
	local[0]= fqv[0];
ENT4526:
	if (n>=4) { local[1]=(argv[3]); goto ENT4525;}
	local[1]= loadglobal(fqv[1]);
ENT4525:
ENT4524:
	if (n>4) maerror();
	local[2]= argv[1]->c.obj.iv[1];
	ctx->vsp=local+3;
	w=(pointer)COPYSEQ(ctx,1,local+2); /*copy-seq*/
	local[2]= w;
	local[3]= argv[1]->c.obj.iv[2];
	ctx->vsp=local+4;
	w=(pointer)COPYSEQ(ctx,1,local+3); /*copy-seq*/
	local[3]= w;
	local[4]= NIL;
	local[5]= NIL;
	local[6]= NIL;
	local[7]= NIL;
	local[8]= NIL;
	local[9]= NIL;
	local[10]= local[1];
	ctx->vsp=local+11;
	w=(pointer)SQRT(ctx,1,local+10); /*sqrt*/
	local[10]= w;
	local[11]= NIL;
	local[12]= argv[0];
	local[13]= fqv[2];
	ctx->vsp=local+14;
	w=(pointer)SEND(ctx,2,local+12); /*send*/
	local[12]= w;
WHL4528:
	if (local[12]==NIL) goto WHX4529;
	w=local[12];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[13]= (w)->c.cons.car;
	w=local[12];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[12] = (w)->c.cons.cdr;
	w = local[13];
	local[11] = w;
	local[13]= local[11];
	local[14]= fqv[3];
	local[15]= argv[1];
	local[16]= local[10];
	ctx->vsp=local+17;
	w=(pointer)SEND(ctx,4,local+13); /*send*/
	local[5] = w;
	w = local[5];
	if (!iscons(w)) goto IF4532;
	w=local[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[13]= (w)->c.cons.car;
	local[14]= fqv[4];
	ctx->vsp=local+15;
	w=(pointer)EQ(ctx,2,local+13); /*eql*/
	if (w==NIL) goto IF4534;
	local[13]= local[11];
	w=local[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w = (w)->c.cons.car;
	ctx->vsp=local+14;
	local[13]= cons(ctx,local[13],w);
	w = local[4];
	ctx->vsp=local+14;
	local[4] = cons(ctx,local[13],w);
	local[13]= local[4];
	goto IF4535;
IF4534:
	w=local[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[13]= (w)->c.cons.car;
	w = local[4];
	ctx->vsp=local+14;
	local[4] = cons(ctx,local[13],w);
	local[13]= local[4];
IF4535:
	goto IF4533;
IF4532:
	local[13]= NIL;
IF4533:
	goto WHL4528;
WHX4529:
	local[13]= NIL;
BLK4530:
	w = NIL;
	if (local[4]!=NIL) goto IF4536;
	local[11]= argv[0];
	local[12]= fqv[5];
	local[13]= argv[1]->c.obj.iv[1];
	ctx->vsp=local+14;
	w=(pointer)SEND(ctx,3,local+11); /*send*/
	local[5] = w;
	local[11]= NIL;
	local[12]= local[5];
	if (local[0]!=local[12]) goto IF4538;
	local[12]= NIL;
	local[13]= local[2];
	local[14]= local[3];
	ctx->vsp=local+15;
	w=(pointer)LIST(ctx,3,local+12); /*list*/
	local[12]= w;
	ctx->vsp=local+13;
	w=(pointer)LIST(ctx,1,local+12); /*list*/
	local[12]= w;
	goto IF4539;
IF4538:
	local[12]= NIL;
IF4539:
	ctx->vsp=local+13;
	w=(pointer)LIST(ctx,2,local+11); /*list*/
	ctx->vsp=local+11;
	local[0]=w;
	goto BLK4523;
	goto IF4537;
IF4536:
	local[11]= NIL;
IF4537:
	local[11]= local[4];
	local[12]= (pointer)get_sym_func(fqv[6]);
	ctx->vsp=local+13;
	local[13]= makeclosure(codevec,quotevec,CLO4540,env,argv,local);
	ctx->vsp=local+14;
	w=(pointer)SORT(ctx,3,local+11); /*sort*/
	local[4] = w;
	local[11]= local[4];
	local[12]= makeflt(1.0000000000000000000000e+00);
	w = NIL;
	ctx->vsp=local+13;
	local[12]= cons(ctx,local[12],w);
	ctx->vsp=local+13;
	w=(pointer)NCONC(ctx,2,local+11); /*nconc*/
	local[6] = makeflt(0.0000000000000000000000e+00);
	local[11]= NIL;
	local[12]= local[4];
WHL4542:
	if (local[12]==NIL) goto WHX4543;
	w=local[12];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[13]= (w)->c.cons.car;
	w=local[12];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[12] = (w)->c.cons.cdr;
	w = local[13];
	local[11] = w;
	w = local[11];
	if (!iscons(w)) goto IF4546;
	w=local[11];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[13]= (w)->c.cons.car;
	goto IF4547;
IF4546:
	local[13]= local[11];
IF4547:
	local[7] = local[13];
	local[13]= local[6];
	local[14]= local[7];
	local[15]= local[1];
	ctx->vsp=local+16;
	w=(*ftab[0])(ctx,3,local+13,&ftab[0],fqv[7]); /*eps<*/
	if (w==NIL) goto IF4548;
	local[13]= argv[0];
	local[14]= fqv[5];
	local[15]= argv[1];
	local[16]= fqv[8];
	local[17]= local[6];
	local[18]= local[7];
	ctx->vsp=local+19;
	w=(pointer)PLUS(ctx,2,local+17); /*+*/
	local[17]= w;
	local[18]= makeflt(2.0000000000000000000000e+00);
	ctx->vsp=local+19;
	w=(pointer)QUOTIENT(ctx,2,local+17); /*/*/
	local[17]= w;
	ctx->vsp=local+18;
	w=(pointer)SEND(ctx,3,local+15); /*send*/
	local[15]= w;
	ctx->vsp=local+16;
	w=(pointer)SEND(ctx,3,local+13); /*send*/
	local[5] = w;
	local[13]= local[5];
	if (local[0]!=local[13]) goto IF4550;
	local[13]= T;
	local[14]= argv[1];
	local[15]= fqv[8];
	local[16]= local[6];
	ctx->vsp=local+17;
	w=(pointer)SEND(ctx,3,local+14); /*send*/
	local[14]= w;
	local[15]= argv[1];
	local[16]= fqv[8];
	local[17]= local[7];
	ctx->vsp=local+18;
	w=(pointer)SEND(ctx,3,local+15); /*send*/
	local[15]= w;
	ctx->vsp=local+16;
	w=(pointer)LIST(ctx,3,local+13); /*list*/
	local[13]= w;
	w = local[9];
	ctx->vsp=local+14;
	local[9] = cons(ctx,local[13],w);
	local[13]= local[9];
	goto IF4551;
IF4550:
	local[13]= NIL;
IF4551:
	local[6] = local[7];
	local[13]= local[6];
	goto IF4549;
IF4548:
	local[13]= NIL;
IF4549:
	w = local[11];
	if (!iscons(w)) goto IF4552;
	w=local[11];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7] = (w)->c.cons.car;
	local[13]= local[6];
	local[14]= local[7];
	local[15]= local[1];
	ctx->vsp=local+16;
	w=(*ftab[1])(ctx,3,local+13,&ftab[1],fqv[9]); /*eps<>*/
	if (w==NIL) goto IF4554;
	w=local[11];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[13]= (w)->c.cons.car;
	local[14]= argv[1];
	local[15]= argv[1];
	local[16]= fqv[8];
	local[17]= local[6];
	ctx->vsp=local+18;
	w=(pointer)SEND(ctx,3,local+15); /*send*/
	local[15]= w;
	local[16]= argv[1];
	local[17]= fqv[8];
	local[18]= local[7];
	ctx->vsp=local+19;
	w=(pointer)SEND(ctx,3,local+16); /*send*/
	local[16]= w;
	ctx->vsp=local+17;
	w=(pointer)LIST(ctx,4,local+13); /*list*/
	local[13]= w;
	w = local[8];
	ctx->vsp=local+14;
	local[8] = cons(ctx,local[13],w);
	local[13]= local[8];
	goto IF4555;
IF4554:
	local[13]= NIL;
IF4555:
	local[6] = local[7];
	local[13]= local[6];
	goto IF4553;
IF4552:
	local[13]= NIL;
IF4553:
	goto WHL4542;
WHX4543:
	local[13]= NIL;
BLK4544:
	w = NIL;
	local[11]= local[8];
	local[12]= local[9];
	ctx->vsp=local+13;
	w=(pointer)LIST(ctx,2,local+11); /*list*/
	local[0]= w;
BLK4523:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO4540(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	w = argv[0];
	if (!isnum(w)) goto IF4556;
	local[0]= argv[0];
	goto IF4557;
IF4556:
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.car;
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1]= (w)->c.cons.car;
	ctx->vsp=local+2;
	w=(pointer)PLUS(ctx,2,local+0); /*+*/
	local[0]= w;
	local[1]= makeflt(2.0000000000000000000000e+00);
	ctx->vsp=local+2;
	w=(pointer)QUOTIENT(ctx,2,local+0); /*/*/
	local[0]= w;
IF4557:
	w = local[0];
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*find-next-segment*/
static pointer F4510find_next_segment(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= makeflt(1.0000000000000000000000e+20);
	local[1]= NIL;
	local[2]= NIL;
	local[3]= argv[1];
WHL4560:
	if (local[3]==NIL) goto WHX4561;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.car;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3] = (w)->c.cons.cdr;
	w = local[4];
	local[2] = w;
	local[4]= argv[0];
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5]= (w)->c.cons.car;
	ctx->vsp=local+6;
	w=(pointer)VDISTANCE(ctx,2,local+4); /*distance*/
	local[4]= w;
	local[5]= argv[0];
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.car;
	ctx->vsp=local+7;
	w=(pointer)VDISTANCE(ctx,2,local+5); /*distance*/
	local[5]= w;
	local[6]= local[4];
	local[7]= local[5];
	ctx->vsp=local+8;
	w=(pointer)MIN(ctx,2,local+6); /*min*/
	local[6]= w;
	local[7]= local[6];
	local[8]= local[0];
	ctx->vsp=local+9;
	w=(pointer)LESSP(ctx,2,local+7); /*<*/
	if (w==NIL) goto IF4564;
	local[1] = local[2];
	local[0] = local[6];
	local[7]= local[0];
	goto IF4565;
IF4564:
	local[7]= NIL;
IF4565:
	w = local[7];
	goto WHL4560;
WHX4561:
	local[4]= NIL;
BLK4562:
	w = NIL;
	local[2]= local[0];
	local[3]= argv[2];
	ctx->vsp=local+4;
	w=(pointer)LESSP(ctx,2,local+2); /*<*/
	if (w==NIL) goto IF4566;
	local[2]= local[1];
	goto IF4567;
IF4566:
	local[2]= NIL;
IF4567:
	w = local[2];
	local[0]= w;
BLK4558:
	ctx->vsp=local; return(local[0]);}

/*find-loop*/
static pointer F4511find_loop(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT4570;}
	local[0]= loadglobal(fqv[10]);
ENT4570:
ENT4569:
	if (n>3) maerror();
	local[1]= NIL;
	local[2]= NIL;
	local[3]= NIL;
	local[4]= NIL;
	local[5]= NIL;
	local[6]= NIL;
	local[7]= loadglobal(fqv[11]);
	ctx->vsp=local+8;
	w=(pointer)INSTANTIATE(ctx,1,local+7); /*instantiate*/
	local[7]= w;
	local[8]= NIL;
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9]= (w)->c.cons.car;
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	argv[0] = (w)->c.cons.cdr;
	w = local[9];
	local[2] = w;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4] = (w)->c.cons.car;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5] = (w)->c.cons.car;
	local[9]= local[4];
	local[10]= local[5];
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,2,local+9); /*list*/
	local[9]= w;
	ctx->vsp=local+10;
	w=(pointer)LIST(ctx,1,local+9); /*list*/
	local[1] = w;
WHL4572:
	local[9]= local[5];
	local[10]= argv[0];
	local[11]= local[0];
	ctx->vsp=local+12;
	w=(pointer)F4510find_next_segment(ctx,3,local+9); /*find-next-segment*/
	local[6] = w;
	if (local[6]==NIL) goto WHX4573;
	local[9]= local[6];
	local[10]= argv[0];
	local[11]= fqv[12];
	local[12]= makeint((eusinteger_t)1L);
	ctx->vsp=local+13;
	w=(*ftab[2])(ctx,4,local+9,&ftab[2],fqv[13]); /*delete*/
	argv[0] = w;
	local[3] = local[5];
	local[9]= local[5];
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	ctx->vsp=local+11;
	w=(*ftab[3])(ctx,2,local+9,&ftab[3],fqv[14]); /*eps-v=*/
	if (w==NIL) goto IF4575;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5] = (w)->c.cons.car;
	local[9]= local[5];
	goto IF4576;
IF4575:
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5] = (w)->c.cons.car;
	local[9]= local[5];
IF4576:
	local[9]= local[3];
	local[10]= local[5];
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,2,local+9); /*list*/
	local[9]= w;
	w = local[1];
	ctx->vsp=local+10;
	local[1] = cons(ctx,local[9],w);
	goto WHL4572;
WHX4573:
	local[9]= NIL;
BLK4574:
	local[9]= local[1];
	ctx->vsp=local+10;
	w=(pointer)NREVERSE(ctx,1,local+9); /*nreverse*/
	local[1] = w;
	local[9]= local[4];
	local[10]= local[5];
	ctx->vsp=local+11;
	w=(*ftab[3])(ctx,2,local+9,&ftab[3],fqv[14]); /*eps-v=*/
	if (w!=NIL) goto CON4578;
	local[9]= NIL;
	local[10]= local[1];
WHL4580:
	if (local[10]==NIL) goto WHX4581;
	w=local[10];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[11]= (w)->c.cons.car;
	w=local[10];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10] = (w)->c.cons.cdr;
	w = local[11];
	local[9] = w;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[11]= (w)->c.cons.car;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[12]= (w)->c.cons.car;
	ctx->vsp=local+13;
	w=(*ftab[4])(ctx,2,local+11,&ftab[4],fqv[15]); /*make-line*/
	local[11]= w;
	w = local[8];
	ctx->vsp=local+12;
	local[8] = cons(ctx,local[11],w);
	goto WHL4580;
WHX4581:
	local[11]= NIL;
BLK4582:
	w = NIL;
	local[9]= local[8];
	local[10]= argv[0];
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,2,local+9); /*list*/
	local[9]= w;
	goto CON4577;
CON4578:
	local[9]= (pointer)get_sym_func(fqv[16]);
	local[10]= local[1];
	ctx->vsp=local+11;
	w=(pointer)MAPCAR(ctx,2,local+9); /*mapcar*/
	local[1] = w;
	local[9]= local[1];
	ctx->vsp=local+10;
	w=(*ftab[5])(ctx,1,local+9,&ftab[5],fqv[17]); /*face-normal-vector*/
	local[9]= w;
	local[10]= argv[1];
	ctx->vsp=local+11;
	w=(pointer)VINNERPRODUCT(ctx,2,local+9); /*v.*/
	local[9]= w;
	{ double left,right;
		right=fltval(makeflt(0.0000000000000000000000e+00)); left=fltval(local[9]);
	if (left >= right) goto IF4585;}
	local[9]= local[1];
	ctx->vsp=local+10;
	w=(pointer)NREVERSE(ctx,1,local+9); /*nreverse*/
	local[1] = w;
	local[9]= local[1];
	goto IF4586;
IF4585:
	local[9]= NIL;
IF4586:
	local[9]= loadglobal(fqv[11]);
	ctx->vsp=local+10;
	w=(pointer)INSTANTIATE(ctx,1,local+9); /*instantiate*/
	local[9]= w;
	local[10]= local[9];
	local[11]= fqv[18];
	local[12]= fqv[19];
	local[13]= local[1];
	ctx->vsp=local+14;
	w=(pointer)SEND(ctx,4,local+10); /*send*/
	w = local[9];
	local[7] = w;
	local[9]= local[7];
	ctx->vsp=local+10;
	w=(pointer)LIST(ctx,1,local+9); /*list*/
	local[9]= w;
	local[10]= argv[0];
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,2,local+9); /*list*/
	local[9]= w;
	goto CON4577;
CON4584:
	local[9]= NIL;
CON4577:
	w = local[9];
	local[0]= w;
BLK4568:
	ctx->vsp=local; return(local[0]);}

/*punch-hole*/
static pointer F4512punch_hole(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[1];
	local[1]= fqv[19];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.cdr;
	ctx->vsp=local+1;
	w=(pointer)REVERSE(ctx,1,local+0); /*reverse*/
	local[0]= w;
	local[1]= loadglobal(fqv[20]);
	ctx->vsp=local+2;
	w=(pointer)INSTANTIATE(ctx,1,local+1); /*instantiate*/
	local[1]= w;
	local[2]= local[1];
	local[3]= fqv[18];
	local[4]= fqv[19];
	local[5]= local[0];
	local[6]= fqv[21];
	local[7]= argv[0];
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,6,local+2); /*send*/
	local[2]= argv[0];
	local[3]= fqv[22];
	local[4]= local[1];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,3,local+2); /*send*/
	local[0]= w;
BLK4588:
	ctx->vsp=local; return(local[0]);}

/*construct-polygon*/
static pointer F4513construct_polygon(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT4591;}
	local[0]= loadglobal(fqv[10]);
ENT4591:
ENT4590:
	if (n>3) maerror();
	local[1]= NIL;
	local[2]= NIL;
	local[3]= NIL;
	local[4]= NIL;
	local[5]= NIL;
	local[6]= NIL;
WHL4592:
	if (argv[0]==NIL) goto WHX4593;
	local[7]= argv[0];
	local[8]= argv[1];
	ctx->vsp=local+9;
	w=(pointer)F4511find_loop(ctx,2,local+7); /*find-loop*/
	local[4] = w;
	local[7]= NIL;
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[8]= (w)->c.cons.car;
WHL4596:
	if (local[8]==NIL) goto WHX4597;
	w=local[8];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9]= (w)->c.cons.car;
	w=local[8];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[8] = (w)->c.cons.cdr;
	w = local[9];
	local[7] = w;
	local[9]= local[7];
	local[10]= loadglobal(fqv[23]);
	ctx->vsp=local+11;
	w=(pointer)DERIVEDP(ctx,2,local+9); /*derivedp*/
	if (w==NIL) goto IF4600;
	local[9]= local[7];
	w = local[2];
	ctx->vsp=local+10;
	local[2] = cons(ctx,local[9],w);
	local[9]= local[2];
	goto IF4601;
IF4600:
	local[9]= local[7];
	w = local[1];
	ctx->vsp=local+10;
	local[1] = cons(ctx,local[9],w);
	local[9]= local[1];
IF4601:
	goto WHL4596;
WHX4597:
	local[9]= NIL;
BLK4598:
	w = NIL;
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	argv[0] = (w)->c.cons.car;
	goto WHL4592;
WHX4593:
	local[7]= NIL;
BLK4594:
	local[7]= NIL;
	local[8]= local[1];
WHL4602:
	w=local[8];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	if ((w)->c.cons.cdr==NIL) goto WHX4603;
	w=local[8];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9]= (w)->c.cons.car;
	w=local[8];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[8] = (w)->c.cons.cdr;
	w = local[9];
	local[7] = w;
	local[9]= NIL;
	local[10]= local[8];
WHL4607:
	if (local[10]==NIL) goto WHX4608;
	w=local[10];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[11]= (w)->c.cons.car;
	w=local[10];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10] = (w)->c.cons.cdr;
	w = local[11];
	local[9] = w;
	local[11]= local[7];
	local[12]= fqv[5];
	local[13]= local[9];
	local[14]= fqv[24];
	local[15]= makeint((eusinteger_t)0L);
	ctx->vsp=local+16;
	w=(pointer)SEND(ctx,3,local+13); /*send*/
	local[13]= w;
	ctx->vsp=local+14;
	w=(pointer)SEND(ctx,3,local+11); /*send*/
	local[11]= w;
	local[12]= fqv[0];
	ctx->vsp=local+13;
	w=(pointer)EQ(ctx,2,local+11); /*eql*/
	if (w==NIL) goto CON4612;
	local[11]= local[7];
	local[12]= local[9];
	ctx->vsp=local+13;
	w=(pointer)F4512punch_hole(ctx,2,local+11); /*punch-hole*/
	local[11]= local[9];
	local[12]= local[1];
	local[13]= fqv[12];
	local[14]= makeint((eusinteger_t)1L);
	ctx->vsp=local+15;
	w=(*ftab[2])(ctx,4,local+11,&ftab[2],fqv[13]); /*delete*/
	local[1] = w;
	local[11]= local[1];
	goto CON4611;
CON4612:
	local[11]= local[9];
	local[12]= fqv[5];
	local[13]= local[7];
	local[14]= fqv[24];
	local[15]= makeint((eusinteger_t)0L);
	ctx->vsp=local+16;
	w=(pointer)SEND(ctx,3,local+13); /*send*/
	local[13]= w;
	ctx->vsp=local+14;
	w=(pointer)SEND(ctx,3,local+11); /*send*/
	local[11]= w;
	local[12]= fqv[0];
	ctx->vsp=local+13;
	w=(pointer)EQ(ctx,2,local+11); /*eql*/
	if (w==NIL) goto CON4613;
	local[11]= local[9];
	local[12]= local[7];
	ctx->vsp=local+13;
	w=(pointer)F4512punch_hole(ctx,2,local+11); /*punch-hole*/
	local[11]= local[7];
	local[12]= local[1];
	local[13]= fqv[12];
	local[14]= makeint((eusinteger_t)1L);
	ctx->vsp=local+15;
	w=(*ftab[2])(ctx,4,local+11,&ftab[2],fqv[13]); /*delete*/
	local[1] = w;
	local[11]= local[1];
	goto CON4611;
CON4613:
	local[11]= NIL;
CON4611:
	goto WHL4607;
WHX4608:
	local[11]= NIL;
BLK4609:
	w = NIL;
	goto WHL4602;
WHX4603:
	local[9]= NIL;
BLK4604:
	w = local[9];
	local[7]= local[1];
	local[8]= local[2];
	ctx->vsp=local+9;
	w=(pointer)NCONC(ctx,2,local+7); /*nconc*/
	local[0]= w;
BLK4589:
	ctx->vsp=local; return(local[0]);}

/*remove-non-overlapping-border*/
static pointer F4514remove_non_overlapping_border(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0];
	local[1]= fqv[25];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= argv[1];
	local[2]= fqv[25];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,2,local+1); /*send*/
	local[1]= w;
	local[2]= NIL;
	local[3]= NIL;
	local[4]= argv[2];
WHL4616:
	if (local[4]==NIL) goto WHX4617;
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5]= (w)->c.cons.car;
	w=local[4];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4] = (w)->c.cons.cdr;
	w = local[5];
	local[3] = w;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5]= (w)->c.cons.car;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.car;
	local[7]= local[5];
	local[8]= fqv[26];
	local[9]= argv[0];
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,3,local+7); /*send*/
	local[7]= w;
	local[8]= local[0];
	ctx->vsp=local+9;
	w=(pointer)VCROSSPRODUCT(ctx,2,local+7); /*v**/
	local[7]= w;
	local[8]= local[6];
	local[9]= fqv[26];
	local[10]= argv[1];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,3,local+8); /*send*/
	local[8]= w;
	local[9]= local[1];
	ctx->vsp=local+10;
	w=(pointer)VCROSSPRODUCT(ctx,2,local+8); /*v**/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)VINNERPRODUCT(ctx,2,local+7); /*v.*/
	local[7]= w;
	{ double left,right;
		right=fltval(makeflt(0.0000000000000000000000e+00)); left=fltval(local[7]);
	if (left <= right) goto IF4620;}
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7]= (w)->c.cons.cdr;
	w = local[2];
	ctx->vsp=local+8;
	local[2] = cons(ctx,local[7],w);
	local[7]= local[2];
	goto IF4621;
IF4620:
	local[7]= NIL;
IF4621:
	w = local[7];
	goto WHL4616;
WHX4617:
	local[5]= NIL;
BLK4618:
	w = NIL;
	w = local[2];
	local[0]= w;
BLK4614:
	ctx->vsp=local; return(local[0]);}

/*coplanar-ff-intersection*/
static pointer F4515coplanar_ff_intersection(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT4625;}
	local[0]= fqv[0];
ENT4625:
	if (n>=4) { local[1]=(argv[3]); goto ENT4624;}
	local[1]= loadglobal(fqv[1]);
ENT4624:
ENT4623:
	if (n>4) maerror();
	local[2]= NIL;
	local[3]= NIL;
	local[4]= NIL;
	local[5]= NIL;
	local[6]= NIL;
	local[7]= NIL;
	local[8]= NIL;
	local[9]= argv[0];
	local[10]= fqv[2];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,2,local+9); /*send*/
	local[9]= w;
WHL4627:
	if (local[9]==NIL) goto WHX4628;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9] = (w)->c.cons.cdr;
	w = local[10];
	local[8] = w;
	local[10]= argv[1];
	local[11]= local[8];
	local[12]= local[0];
	local[13]= local[1];
	ctx->vsp=local+14;
	w=(pointer)F4509coplanar_fe_intersection(ctx,4,local+10); /*coplanar-fe-intersection*/
	local[6] = w;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	if ((w)->c.cons.car==NIL) goto IF4631;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	local[11]= local[4];
	ctx->vsp=local+12;
	w=(pointer)NCONC(ctx,2,local+10); /*nconc*/
	local[4] = w;
	local[10]= local[4];
	goto IF4632;
IF4631:
	local[10]= NIL;
IF4632:
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	if ((w)->c.cons.car==NIL) goto IF4633;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	local[11]= local[2];
	ctx->vsp=local+12;
	w=(pointer)NCONC(ctx,2,local+10); /*nconc*/
	local[2] = w;
	local[10]= local[2];
	goto IF4634;
IF4633:
	local[10]= NIL;
IF4634:
	goto WHL4627;
WHX4628:
	local[10]= NIL;
BLK4629:
	w = NIL;
	if (local[4]==NIL) goto IF4635;
	local[7] = T;
	local[8]= local[7];
	goto IF4636;
IF4635:
	local[8]= NIL;
IF4636:
	if (T==NIL) goto IF4637;
	local[8]= argv[1];
	local[9]= argv[0];
	local[10]= local[4];
	ctx->vsp=local+11;
	w=(pointer)F4514remove_non_overlapping_border(ctx,3,local+8); /*remove-non-overlapping-border*/
	local[4] = w;
	local[8]= local[4];
	goto IF4638;
IF4637:
	local[8]= (pointer)get_sym_func(fqv[27]);
	local[9]= local[4];
	ctx->vsp=local+10;
	w=(pointer)MAPCAR(ctx,2,local+8); /*mapcar*/
	local[4] = w;
	local[8]= local[4];
IF4638:
	local[8]= NIL;
	local[9]= argv[1];
	local[10]= fqv[2];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,2,local+9); /*send*/
	local[9]= w;
WHL4640:
	if (local[9]==NIL) goto WHX4641;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9] = (w)->c.cons.cdr;
	w = local[10];
	local[8] = w;
	local[10]= argv[0];
	local[11]= local[8];
	local[12]= local[0];
	local[13]= local[1];
	ctx->vsp=local+14;
	w=(pointer)F4509coplanar_fe_intersection(ctx,4,local+10); /*coplanar-fe-intersection*/
	local[6] = w;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	if ((w)->c.cons.car==NIL) goto IF4644;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	local[11]= local[5];
	ctx->vsp=local+12;
	w=(pointer)NCONC(ctx,2,local+10); /*nconc*/
	local[5] = w;
	local[10]= local[5];
	goto IF4645;
IF4644:
	local[10]= NIL;
IF4645:
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	if ((w)->c.cons.car==NIL) goto IF4646;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	local[11]= local[2];
	ctx->vsp=local+12;
	w=(pointer)NCONC(ctx,2,local+10); /*nconc*/
	local[2] = w;
	local[10]= local[2];
	goto IF4647;
IF4646:
	local[10]= NIL;
IF4647:
	goto WHL4640;
WHX4641:
	local[10]= NIL;
BLK4642:
	w = NIL;
	if (local[5]==NIL) goto IF4648;
	local[7] = T;
	local[8]= local[7];
	goto IF4649;
IF4648:
	local[8]= NIL;
IF4649:
	if (T==NIL) goto IF4650;
	local[8]= argv[0];
	local[9]= argv[1];
	local[10]= local[5];
	ctx->vsp=local+11;
	w=(pointer)F4514remove_non_overlapping_border(ctx,3,local+8); /*remove-non-overlapping-border*/
	local[5] = w;
	local[8]= local[5];
	goto IF4651;
IF4650:
	local[8]= (pointer)get_sym_func(fqv[27]);
	local[9]= local[5];
	ctx->vsp=local+10;
	w=(pointer)MAPCAR(ctx,2,local+8); /*mapcar*/
	local[5] = w;
	local[8]= local[5];
IF4651:
	local[8]= local[4];
	local[9]= local[5];
	ctx->vsp=local+10;
	w=(pointer)NCONC(ctx,2,local+8); /*nconc*/
	local[3] = w;
	local[8]= local[3];
	local[9]= fqv[28];
	ctx->vsp=local+10;
	local[10]= makeclosure(codevec,quotevec,CLO4652,env,argv,local);
	ctx->vsp=local+11;
	w=(*ftab[6])(ctx,3,local+8,&ftab[6],fqv[29]); /*remove-duplicates*/
	local[3] = w;
	if (local[7]!=NIL) goto CON4654;
	ctx->vsp=local+8;
	local[8]= makeclosure(codevec,quotevec,CLO4655,env,argv,local);
	local[9]= local[2];
	ctx->vsp=local+10;
	w=(*ftab[7])(ctx,2,local+8,&ftab[7],fqv[30]); /*every*/
	if (w==NIL) goto CON4654;
	local[8]= argv[0];
	local[9]= fqv[5];
	local[10]= argv[1];
	local[11]= fqv[24];
	local[12]= makeint((eusinteger_t)0L);
	ctx->vsp=local+13;
	w=(pointer)SEND(ctx,3,local+10); /*send*/
	local[10]= w;
	local[11]= makeflt(1.0000000000000000208167e-03);
	ctx->vsp=local+12;
	w=(pointer)SEND(ctx,4,local+8); /*send*/
	local[8]= w;
	local[9]= argv[1];
	local[10]= fqv[5];
	local[11]= argv[0];
	local[12]= fqv[24];
	local[13]= makeint((eusinteger_t)0L);
	ctx->vsp=local+14;
	w=(pointer)SEND(ctx,3,local+11); /*send*/
	local[11]= w;
	local[12]= makeflt(1.0000000000000000208167e-03);
	ctx->vsp=local+13;
	w=(pointer)SEND(ctx,4,local+9); /*send*/
	local[9]= w;
	local[10]= local[0];
	local[11]= fqv[0];
	ctx->vsp=local+12;
	w=(pointer)EQ(ctx,2,local+10); /*eql*/
	if (w==NIL) goto CON4657;
	local[10]= local[8];
	local[11]= fqv[0];
	ctx->vsp=local+12;
	w=(pointer)EQ(ctx,2,local+10); /*eql*/
	if (w==NIL) goto CON4659;
	local[10]= argv[1];
	goto CON4658;
CON4659:
	local[10]= local[9];
	local[11]= fqv[0];
	ctx->vsp=local+12;
	w=(pointer)EQ(ctx,2,local+10); /*eql*/
	if (w==NIL) goto CON4660;
	local[10]= argv[0];
	goto CON4658;
CON4660:
	local[10]= NIL;
	goto CON4658;
CON4661:
	local[10]= NIL;
CON4658:
	goto CON4656;
CON4657:
	local[10]= local[0];
	local[11]= fqv[31];
	ctx->vsp=local+12;
	w=(pointer)EQ(ctx,2,local+10); /*eql*/
	if (w==NIL) goto CON4662;
	local[10]= local[8];
	local[11]= fqv[0];
	ctx->vsp=local+12;
	w=(pointer)EQ(ctx,2,local+10); /*eql*/
	if (w==NIL) goto CON4664;
	local[10]= argv[0];
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	local[10]= w;
	goto CON4663;
CON4664:
	local[10]= local[9];
	local[11]= fqv[0];
	ctx->vsp=local+12;
	w=(pointer)EQ(ctx,2,local+10); /*eql*/
	if (w==NIL) goto CON4665;
	local[10]= argv[1];
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,1,local+10); /*list*/
	local[10]= w;
	goto CON4663;
CON4665:
	local[10]= argv[0];
	local[11]= argv[1];
	ctx->vsp=local+12;
	w=(pointer)LIST(ctx,2,local+10); /*list*/
	local[10]= w;
	goto CON4663;
CON4666:
	local[10]= NIL;
CON4663:
	goto CON4656;
CON4662:
	local[10]= NIL;
CON4656:
	w = local[10];
	local[8]= w;
	goto CON4653;
CON4654:
	local[8]= (pointer)get_sym_func(fqv[32]);
	local[9]= local[2];
	ctx->vsp=local+10;
	w=(pointer)MAPCAR(ctx,2,local+8); /*mapcar*/
	local[8]= w;
	local[9]= local[3];
	ctx->vsp=local+10;
	w=(pointer)NCONC(ctx,2,local+8); /*nconc*/
	local[8]= w;
	local[9]= argv[0];
	local[10]= fqv[25];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,2,local+9); /*send*/
	local[9]= w;
	ctx->vsp=local+10;
	w=(pointer)F4513construct_polygon(ctx,2,local+8); /*construct-polygon*/
	local[8]= w;
	goto CON4653;
CON4667:
	local[8]= NIL;
CON4653:
	w = local[8];
	local[0]= w;
BLK4622:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO4652(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.car;
	w=argv[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1]= (w)->c.cons.car;
	local[2]= env->c.clo.env2[1];
	ctx->vsp=local+3;
	w=(*ftab[3])(ctx,3,local+0,&ftab[3],fqv[14]); /*eps-v=*/
	local[0]= w;
	if (w==NIL) goto AND4669;
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.car;
	w=argv[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1]= (w)->c.cons.car;
	local[2]= env->c.clo.env2[1];
	ctx->vsp=local+3;
	w=(*ftab[3])(ctx,3,local+0,&ftab[3],fqv[14]); /*eps-v=*/
	local[0]= w;
AND4669:
	if (local[0]!=NIL) goto OR4668;
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.car;
	w=argv[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1]= (w)->c.cons.car;
	local[2]= env->c.clo.env2[1];
	ctx->vsp=local+3;
	w=(*ftab[3])(ctx,3,local+0,&ftab[3],fqv[14]); /*eps-v=*/
	local[0]= w;
	if (w==NIL) goto AND4670;
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.car;
	w=argv[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1]= (w)->c.cons.car;
	local[2]= env->c.clo.env2[1];
	ctx->vsp=local+3;
	w=(*ftab[3])(ctx,3,local+0,&ftab[3],fqv[14]); /*eps-v=*/
	local[0]= w;
AND4670:
OR4668:
	w = local[0];
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO4655(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w = (((w)->c.cons.car)==NIL?T:NIL);
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*face**/
static pointer F4516face_(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT4673;}
	local[0]= loadglobal(fqv[1]);
ENT4673:
ENT4672:
	if (n>3) maerror();
	local[1]= argv[0];
	local[2]= argv[1];
	local[3]= fqv[0];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)F4515coplanar_ff_intersection(ctx,4,local+1); /*coplanar-ff-intersection*/
	local[0]= w;
BLK4671:
	ctx->vsp=local; return(local[0]);}

/*face+*/
static pointer F4517face_(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT4676;}
	local[0]= loadglobal(fqv[1]);
ENT4676:
ENT4675:
	if (n>3) maerror();
	local[1]= argv[0];
	local[2]= argv[1];
	local[3]= fqv[31];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)F4515coplanar_ff_intersection(ctx,4,local+1); /*coplanar-ff-intersection*/
	local[0]= w;
BLK4674:
	ctx->vsp=local; return(local[0]);}

/*non-coplanar-fe-relation*/
static pointer F4518non_coplanar_fe_relation(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT4679;}
	local[0]= loadglobal(fqv[1]);
ENT4679:
ENT4678:
	if (n>3) maerror();
	local[1]= argv[0];
	local[2]= fqv[33];
	local[3]= argv[1]->c.obj.iv[1];
	local[4]= argv[1]->c.obj.iv[2];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,4,local+1); /*send*/
	local[1]= w;
	local[2]= argv[1];
	local[3]= fqv[8];
	local[4]= local[1];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,3,local+2); /*send*/
	local[2]= w;
	local[3]= NIL;
	local[4]= local[1];
	local[5]= makeflt(0.0000000000000000000000e+00);
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(*ftab[8])(ctx,3,local+4,&ftab[8],fqv[34]); /*eps=*/
	if (w!=NIL) goto OR4682;
	local[4]= local[1];
	local[5]= makeflt(1.0000000000000000000000e+00);
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(*ftab[8])(ctx,3,local+4,&ftab[8],fqv[34]); /*eps=*/
	if (w!=NIL) goto OR4682;
	goto CON4681;
OR4682:
	local[4]= argv[0];
	local[5]= fqv[5];
	local[6]= local[2];
	ctx->vsp=local+7;
	w=(pointer)SEND(ctx,3,local+4); /*send*/
	local[3] = w;
	local[4]= local[3];
	local[5]= fqv[35];
	ctx->vsp=local+6;
	w=(*ftab[9])(ctx,2,local+4,&ftab[9],fqv[36]); /*assoc*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.cdr;
	goto CON4680;
CON4681:
	local[4]= makeflt(0.0000000000000000000000e+00);
	local[5]= local[1];
	local[6]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+7;
	w=(pointer)LESSP(ctx,3,local+4); /*<*/
	if (w==NIL) goto CON4683;
	local[4]= argv[0];
	local[5]= fqv[5];
	local[6]= local[2];
	ctx->vsp=local+7;
	w=(pointer)SEND(ctx,3,local+4); /*send*/
	local[3] = w;
	local[4]= local[3];
	local[5]= local[4];
	if (fqv[0]!=local[5]) goto IF4685;
	local[5]= argv[0];
	local[6]= fqv[37];
	local[7]= argv[1]->c.obj.iv[1];
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,3,local+5); /*send*/
	if (w==NIL) goto IF4687;
	local[5]= argv[0];
	local[6]= fqv[37];
	local[7]= argv[1]->c.obj.iv[1];
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,3,local+5); /*send*/
	if (w==NIL) goto IF4687;
	local[5]= fqv[38];
	goto IF4688;
IF4687:
	local[5]= fqv[39];
IF4688:
	goto IF4686;
IF4685:
	local[5]= local[4];
	if (fqv[40]!=local[5]) goto IF4689;
	local[5]= fqv[38];
	goto IF4690;
IF4689:
	local[5]= local[4];
	if (fqv[31]!=local[5]) goto IF4691;
	local[5]= NIL;
	goto IF4692;
IF4691:
	local[5]= NIL;
IF4692:
IF4690:
IF4686:
	w = local[5];
	local[4]= w;
	goto CON4680;
CON4683:
	local[4]= NIL;
	goto CON4680;
CON4693:
	local[4]= NIL;
CON4680:
	w = local[4];
	local[0]= w;
BLK4677:
	ctx->vsp=local; return(local[0]);}

/*ff-relation*/
static pointer F4519ff_relation(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT4696;}
	local[0]= loadglobal(fqv[1]);
ENT4696:
ENT4695:
	if (n>3) maerror();
	local[1]= argv[0]->c.obj.iv[1];
	local[2]= argv[1]->c.obj.iv[1];
	local[3]= argv[0]->c.obj.iv[2];
	local[4]= argv[1]->c.obj.iv[2];
	local[5]= argv[0]->c.obj.iv[4];
	local[6]= argv[1]->c.obj.iv[4];
	local[7]= NIL;
	local[8]= NIL;
	local[9]= NIL;
	local[10]= NIL;
	local[11]= NIL;
	local[12]= NIL;
	local[13]= local[1];
	local[14]= local[2];
	ctx->vsp=local+15;
	w=(pointer)VINNERPRODUCT(ctx,2,local+13); /*v.*/
	local[13]= w;
	local[14]= makeflt(1.0000000000000000000000e+00);
	local[15]= local[0];
	ctx->vsp=local+16;
	w=(*ftab[8])(ctx,3,local+13,&ftab[8],fqv[34]); /*eps=*/
	if (w==NIL) goto CON4698;
	local[13]= local[3];
	local[14]= local[4];
	ctx->vsp=local+15;
	w=(*ftab[8])(ctx,2,local+13,&ftab[8],fqv[34]); /*eps=*/
	if (w==NIL) goto IF4699;
	local[13]= fqv[41];
	local[14]= fqv[42];
	ctx->vsp=local+15;
	w=(pointer)LIST(ctx,2,local+13); /*list*/
	local[9] = w;
	local[13]= local[9];
	goto IF4700;
IF4699:
	w = NIL;
	ctx->vsp=local+13;
	local[0]=w;
	goto BLK4694;
IF4700:
	goto CON4697;
CON4698:
	local[13]= local[1];
	local[14]= local[2];
	ctx->vsp=local+15;
	w=(pointer)VINNERPRODUCT(ctx,2,local+13); /*v.*/
	local[13]= w;
	local[14]= makeflt(-1.0000000000000000000000e+00);
	ctx->vsp=local+15;
	w=(*ftab[8])(ctx,2,local+13,&ftab[8],fqv[34]); /*eps=*/
	if (w==NIL) goto CON4701;
	local[13]= local[3];
	local[14]= local[4];
	ctx->vsp=local+15;
	w=(pointer)MINUS(ctx,1,local+14); /*-*/
	local[14]= w;
	local[15]= local[0];
	ctx->vsp=local+16;
	w=(*ftab[8])(ctx,3,local+13,&ftab[8],fqv[34]); /*eps=*/
	if (w==NIL) goto IF4702;
	local[13]= fqv[41];
	local[14]= fqv[43];
	ctx->vsp=local+15;
	w=(pointer)LIST(ctx,2,local+13); /*list*/
	local[9] = w;
	local[13]= local[9];
	goto IF4703;
IF4702:
	w = NIL;
	ctx->vsp=local+13;
	local[0]=w;
	goto BLK4694;
IF4703:
	goto CON4697;
CON4701:
	local[13]= NIL;
CON4697:
	if (local[9]==NIL) goto IF4704;
	local[13]= argv[0];
	local[14]= argv[1];
	local[15]= local[0];
	ctx->vsp=local+16;
	w=(pointer)F4516face_(ctx,3,local+13); /*face**/
	local[10] = w;
	local[13]= local[10];
	local[14]= loadglobal(fqv[11]);
	ctx->vsp=local+15;
	w=(pointer)DERIVEDP(ctx,2,local+13); /*derivedp*/
	if (w==NIL) goto CON4707;
	local[13]= local[9];
	local[14]= local[10];
	ctx->vsp=local+15;
	w=(pointer)LIST(ctx,1,local+14); /*list*/
	local[14]= w;
	ctx->vsp=local+15;
	w=(pointer)APPEND(ctx,2,local+13); /*append*/
	ctx->vsp=local+13;
	local[0]=w;
	goto BLK4694;
	goto CON4706;
CON4707:
	ctx->vsp=local+13;
	local[13]= makeclosure(codevec,quotevec,CLO4709,env,argv,local);
	local[14]= local[10];
	ctx->vsp=local+15;
	w=(*ftab[10])(ctx,2,local+13,&ftab[10],fqv[44]); /*some*/
	if (w==NIL) goto CON4708;
	local[13]= local[9];
	local[14]= local[10];
	ctx->vsp=local+15;
	w=(pointer)APPEND(ctx,2,local+13); /*append*/
	ctx->vsp=local+13;
	local[0]=w;
	goto BLK4694;
	goto CON4706;
CON4708:
	ctx->vsp=local+13;
	local[13]= makeclosure(codevec,quotevec,CLO4711,env,argv,local);
	local[14]= local[10];
	ctx->vsp=local+15;
	w=(*ftab[7])(ctx,2,local+13,&ftab[7],fqv[30]); /*every*/
	if (w==NIL) goto CON4710;
	local[13]= fqv[45];
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[14]= (w)->c.cons.car;
	ctx->vsp=local+15;
	w=(pointer)LIST(ctx,2,local+13); /*list*/
	ctx->vsp=local+13;
	local[0]=w;
	goto BLK4694;
	goto CON4706;
CON4710:
	local[13]= NIL;
CON4706:
	goto IF4705;
IF4704:
	local[13]= NIL;
IF4705:
	local[13]= NIL;
	local[14]= local[5];
WHL4713:
	if (local[14]==NIL) goto WHX4714;
	w=local[14];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[15]= (w)->c.cons.car;
	w=local[14];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[14] = (w)->c.cons.cdr;
	w = local[15];
	local[13] = w;
	local[15]= argv[1];
	local[16]= local[13];
	local[17]= local[0];
	ctx->vsp=local+18;
	w=(pointer)F4518non_coplanar_fe_relation(ctx,3,local+15); /*non-coplanar-fe-relation*/
	local[11] = w;
	local[15]= local[11];
	if (fqv[39]!=local[15]) goto IF4717;
	local[15]= T;
	local[16]= fqv[46];
	local[17]= argv[1];
	local[18]= local[13];
	ctx->vsp=local+19;
	w=(pointer)XFORMAT(ctx,4,local+15); /*format*/
	local[15]= fqv[39];
	ctx->vsp=local+16;
	w=(pointer)LIST(ctx,1,local+15); /*list*/
	ctx->vsp=local+15;
	local[0]=w;
	goto BLK4694;
	goto IF4718;
IF4717:
	local[15]= NIL;
IF4718:
	if (local[11]==NIL) goto IF4719;
	local[15]= local[11];
	w = local[10];
	ctx->vsp=local+16;
	local[10] = cons(ctx,local[15],w);
	local[15]= local[10];
	goto IF4720;
IF4719:
	local[15]= NIL;
IF4720:
	goto WHL4713;
WHX4714:
	local[15]= NIL;
BLK4715:
	w = NIL;
	local[13]= NIL;
	local[14]= local[6];
WHL4722:
	if (local[14]==NIL) goto WHX4723;
	w=local[14];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[15]= (w)->c.cons.car;
	w=local[14];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[14] = (w)->c.cons.cdr;
	w = local[15];
	local[13] = w;
	local[15]= argv[0];
	local[16]= local[13];
	local[17]= local[0];
	ctx->vsp=local+18;
	w=(pointer)F4518non_coplanar_fe_relation(ctx,3,local+15); /*non-coplanar-fe-relation*/
	local[11] = w;
	local[15]= local[11];
	if (fqv[39]!=local[15]) goto IF4726;
	local[15]= T;
	local[16]= fqv[47];
	local[17]= argv[0];
	local[18]= local[13];
	ctx->vsp=local+19;
	w=(pointer)XFORMAT(ctx,4,local+15); /*format*/
	local[15]= fqv[39];
	ctx->vsp=local+16;
	w=(pointer)LIST(ctx,1,local+15); /*list*/
	ctx->vsp=local+15;
	local[0]=w;
	goto BLK4694;
	goto IF4727;
IF4726:
	local[15]= NIL;
IF4727:
	if (local[11]==NIL) goto IF4728;
	local[15]= local[11];
	w = local[10];
	ctx->vsp=local+16;
	local[10] = cons(ctx,local[15],w);
	local[15]= local[10];
	goto IF4729;
IF4728:
	local[15]= NIL;
IF4729:
	goto WHL4722;
WHX4723:
	local[15]= NIL;
BLK4724:
	w = NIL;
	ctx->vsp=local+13;
	local[13]= makeclosure(codevec,quotevec,CLO4732,env,argv,local);
	local[14]= local[10];
	ctx->vsp=local+15;
	w=(*ftab[7])(ctx,2,local+13,&ftab[7],fqv[30]); /*every*/
	if (w==NIL) goto CON4731;
	local[13]= fqv[48];
	ctx->vsp=local+14;
	w=(pointer)LIST(ctx,1,local+13); /*list*/
	local[13]= w;
	goto CON4730;
CON4731:
	local[13]= local[10];
	goto CON4730;
CON4733:
	local[13]= NIL;
CON4730:
	w = local[13];
	local[0]= w;
BLK4694:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO4709(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[11]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO4711(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[23]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO4732(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	w = ((fqv[38])==(local[0])?T:NIL);
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*bb-relation*/
static pointer F4520bb_relation(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT4736;}
	local[0]= loadglobal(fqv[49]);
ENT4736:
ENT4735:
	if (n>3) maerror();
	local[1]= argv[0];
	local[2]= fqv[50];
	local[3]= argv[1];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	local[1]= w;
	local[2]= NIL;
	local[3]= NIL;
	local[4]= NIL;
	local[5]= NIL;
	local[6]= NIL;
	local[7]= NIL;
	local[8]= argv[0];
	local[9]= fqv[51];
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,2,local+8); /*send*/
	local[8]= w;
	local[9]= argv[1];
	local[10]= fqv[51];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,2,local+9); /*send*/
	local[9]= w;
	local[10]= makeint((eusinteger_t)0L);
	local[11]= NIL;
	if (local[1]==NIL) goto IF4737;
	local[12]= argv[0];
	local[13]= fqv[52];
	local[14]= local[1];
	ctx->vsp=local+15;
	w=(pointer)SEND(ctx,3,local+12); /*send*/
	local[2] = w;
	local[12]= argv[1];
	local[13]= fqv[52];
	local[14]= local[1];
	ctx->vsp=local+15;
	w=(pointer)SEND(ctx,3,local+12); /*send*/
	local[3] = w;
	local[12]= local[8];
	local[13]= local[2];
	ctx->vsp=local+14;
	w=(*ftab[11])(ctx,2,local+12,&ftab[11],fqv[53]); /*intersection*/
	local[8] = w;
	local[12]= local[9];
	local[13]= local[3];
	ctx->vsp=local+14;
	w=(*ftab[11])(ctx,2,local+12,&ftab[11],fqv[53]); /*intersection*/
	local[9] = w;
	local[12]= argv[0];
	local[13]= fqv[54];
	local[14]= local[1];
	ctx->vsp=local+15;
	w=(pointer)SEND(ctx,3,local+12); /*send*/
	local[4] = w;
	local[12]= argv[1];
	local[13]= fqv[54];
	local[14]= local[1];
	ctx->vsp=local+15;
	w=(pointer)SEND(ctx,3,local+12); /*send*/
	local[5] = w;
	local[12]= NIL;
	local[13]= local[2];
WHL4740:
	if (local[13]==NIL) goto WHX4741;
	w=local[13];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[14]= (w)->c.cons.car;
	w=local[13];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[13] = (w)->c.cons.cdr;
	w = local[14];
	local[12] = w;
	local[14]= local[12];
	local[15]= fqv[55];
	local[16]= local[0];
	ctx->vsp=local+17;
	w=(pointer)SEND(ctx,3,local+14); /*send*/
	local[11] = w;
	local[14]= local[11];
	local[15]= fqv[56];
	local[16]= local[0];
	local[17]= T;
	ctx->vsp=local+18;
	w=(pointer)SEND(ctx,4,local+14); /*send*/
	local[14]= NIL;
	local[15]= local[3];
WHL4745:
	if (local[15]==NIL) goto WHX4746;
	w=local[15];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[16]= (w)->c.cons.car;
	w=local[15];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[15] = (w)->c.cons.cdr;
	w = local[16];
	local[14] = w;
	local[16]= local[14];
	local[17]= fqv[55];
	local[18]= local[0];
	ctx->vsp=local+19;
	w=(pointer)SEND(ctx,3,local+16); /*send*/
	local[16]= w;
	local[17]= fqv[57];
	local[18]= local[11];
	ctx->vsp=local+19;
	w=(pointer)SEND(ctx,3,local+16); /*send*/
	if (w==NIL) goto OR4751;
	goto IF4749;
OR4751:
	local[7] = NIL;
	local[16]= local[7];
	goto IF4750;
IF4749:
	local[16]= local[12];
	local[17]= local[14];
	local[18]= local[0];
	ctx->vsp=local+19;
	w=(pointer)F4519ff_relation(ctx,3,local+16); /*ff-relation*/
	local[7] = w;
	local[16]= local[7];
IF4750:
	if (local[7]!=NIL) goto CON4753;
	local[16]= NIL;
	goto CON4752;
CON4753:
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[16]= (w)->c.cons.car;
	if (fqv[48]!=local[16]) goto CON4754;
	local[16]= NIL;
	goto CON4752;
CON4754:
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[16]= (w)->c.cons.car;
	if (fqv[41]!=local[16]) goto CON4755;
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[16]= (w)->c.cons.car;
	if (fqv[43]!=local[16]) goto CON4755;
	local[16]= fqv[58];
	local[17]= local[12];
	local[18]= local[14];
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[19]= (w)->c.cons.cdr;
	ctx->vsp=local+20;
	w=(pointer)LIST_STAR(ctx,4,local+16); /*list**/
	local[16]= w;
	w = local[6];
	ctx->vsp=local+17;
	local[6] = cons(ctx,local[16],w);
	local[16]= local[6];
	goto CON4752;
CON4755:
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[16]= (w)->c.cons.car;
	if (fqv[45]!=local[16]) goto CON4756;
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[16]= (w)->c.cons.car;
	if (fqv[42]!=local[16]) goto CON4756;
	local[16]= fqv[45];
	local[17]= local[12];
	local[18]= local[14];
	ctx->vsp=local+19;
	w=(pointer)LIST(ctx,3,local+16); /*list*/
	local[16]= w;
	w = local[6];
	ctx->vsp=local+17;
	local[6] = cons(ctx,local[16],w);
	local[16]= local[6];
	goto CON4752;
CON4756:
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[16]= (w)->c.cons.car;
	if (fqv[41]!=local[16]) goto CON4757;
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[16]= (w)->c.cons.car;
	if (fqv[42]!=local[16]) goto CON4757;
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[16]= (w)->c.cons.car;
	local[17]= loadglobal(fqv[11]);
	ctx->vsp=local+18;
	w=(pointer)DERIVEDP(ctx,2,local+16); /*derivedp*/
	if (w==NIL) goto CON4757;
	w = fqv[39];
	ctx->vsp=local+16;
	local[0]=w;
	goto BLK4734;
	goto CON4752;
CON4757:
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[16]= (w)->c.cons.car;
	if (fqv[39]!=local[16]) goto CON4758;
	w = fqv[39];
	ctx->vsp=local+16;
	local[0]=w;
	goto BLK4734;
	goto CON4752;
CON4758:
	local[16]= local[12];
	local[17]= local[14];
	local[18]= local[7];
	ctx->vsp=local+19;
	w=(pointer)LIST_STAR(ctx,3,local+16); /*list**/
	local[16]= w;
	w = local[6];
	ctx->vsp=local+17;
	local[6] = cons(ctx,local[16],w);
	local[16]= local[6];
	goto CON4752;
CON4759:
	local[16]= NIL;
CON4752:
	goto WHL4745;
WHX4746:
	local[16]= NIL;
BLK4747:
	w = NIL;
	goto WHL4740;
WHX4741:
	local[14]= NIL;
BLK4742:
	w = NIL;
	local[12]= local[6];
	goto IF4738;
IF4737:
	local[12]= NIL;
IF4738:
	w = local[12];
	local[0]= w;
BLK4734:
	ctx->vsp=local; return(local[0]);}

/*make-lines*/
static pointer F4521make_lines(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	ctx->vsp=local+0;
	local[0]= makeclosure(codevec,quotevec,CLO4761,env,argv,local);
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)MAPCAR(ctx,2,local+0); /*mapcar*/
	local[0]= w;
BLK4760:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO4761(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= (pointer)get_sym_func(fqv[15]);
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)APPLY(ctx,2,local+0); /*apply*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*copy-face*/
static pointer F4522copy_face(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	ctx->vsp=local+0;
	local[0]= makeclosure(codevec,quotevec,FLET4763,env,argv,local);
	local[1]= loadglobal(fqv[59]);
	ctx->vsp=local+2;
	w=(pointer)INSTANTIATE(ctx,1,local+1); /*instantiate*/
	local[1]= w;
	local[2]= local[1];
	local[3]= fqv[18];
	local[4]= fqv[19];
	local[5]= argv[0];
	w = local[0];
	ctx->vsp=local+6;
	w=FLET4763(ctx,1,local+5,w);
	local[5]= w;
	local[6]= fqv[60];
	ctx->vsp=local+7;
	local[7]= makeclosure(codevec,quotevec,CLO4765,env,argv,local);
	local[8]= local[0];
	local[9]= argv[0];
	local[10]= fqv[60];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,2,local+9); /*send*/
	local[9]= w;
	ctx->vsp=local+10;
	w=(pointer)MAPCAR(ctx,2,local+8); /*mapcar*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)MAPCAR(ctx,2,local+7); /*mapcar*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)SEND(ctx,6,local+2); /*send*/
	w = local[1];
	local[0]= w;
BLK4762:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer FLET4763(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= NIL;
	local[1]= NIL;
	local[2]= NIL;
	local[3]= argv[0];
	local[4]= fqv[19];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,2,local+3); /*send*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.cdr;
WHL4767:
	if (local[3]==NIL) goto WHX4768;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.car;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3] = (w)->c.cons.cdr;
	w = local[4];
	local[2] = w;
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)COPYSEQ(ctx,1,local+4); /*copy-seq*/
	local[4]= w;
	w = local[1];
	ctx->vsp=local+5;
	local[1] = cons(ctx,local[4],w);
	goto WHL4767;
WHX4768:
	local[4]= NIL;
BLK4769:
	w = local[1];
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO4765(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= loadglobal(fqv[20]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
	local[1]= local[0];
	local[2]= fqv[18];
	local[3]= fqv[19];
	local[4]= argv[0];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,4,local+1); /*send*/
	w = local[0];
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/* initializer*/
pointer ___bodyrel(ctx,n,argv,env)
register context *ctx; int n; pointer *argv; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv;
  register int i;
  numunion nu;
  module=argv[0];
  quotevec=build_quote_vector(ctx,QUOTE_STRINGS_SIZE, quote_strings);
  module->c.code.quotevec=quotevec;
  codevec=module->c.code.codevec;
  fqv=qv=quotevec->c.vec.v;
  init_ftab();
	local[0]= fqv[61];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	if (w==NIL) goto IF4772;
	local[0]= fqv[62];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	local[0]= w;
	storeglobal(fqv[63],w);
	goto IF4773;
IF4772:
	local[0]= fqv[64];
	ctx->vsp=local+1;
	w=(pointer)SIGERROR(ctx,1,local+0); /*error*/
	local[0]= w;
IF4773:
	local[0]= fqv[65];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[66],module,F4509coplanar_fe_intersection,fqv[67]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[68],module,F4510find_next_segment,fqv[69]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[70],module,F4511find_loop,fqv[71]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[72],module,F4512punch_hole,fqv[73]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[74],module,F4513construct_polygon,fqv[75]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[76],module,F4514remove_non_overlapping_border,fqv[77]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[78],module,F4515coplanar_ff_intersection,fqv[79]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[80],module,F4516face_,fqv[81]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[82],module,F4517face_,fqv[83]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[84],module,F4518non_coplanar_fe_relation,fqv[85]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[86],module,F4519ff_relation,fqv[87]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[88],module,F4520bb_relation,fqv[89]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[90],module,F4521make_lines,fqv[91]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[92],module,F4522copy_face,fqv[93]);
	local[0]= fqv[94];
	local[1]= fqv[95];
	ctx->vsp=local+2;
	w=(*ftab[12])(ctx,2,local+0,&ftab[12],fqv[96]); /*provide*/
	local[0]= NIL;
	ctx->vsp=local; return(local[0]);}
static void init_ftab()
{  register int i;
  for (i=0; i<13; i++) ftab[i]=fcallx;
}
