/* hid.c :  entry=hid */
/* compiled by EusLisp 9.15() for Linux64 created on host04.storm.ros.org(Mon Aug 31 14:55:10 UTC 2015) */
#include "eus.h"
#include "hid.h"
#pragma init (register_hid)
extern double fabs();
extern pointer fcallx();
static void init_ftab();
extern pointer loadglobal(),storeglobal();
static pointer module,*qv,codevec,quotevec;
extern pointer ___hid();
extern pointer build_quote_vector();
static int register_hid()
  { add_module_initializer("___hid", ___hid);}

static pointer F3174check_visibility();
static pointer F3176make_face_image();
static pointer F3177set_contour_intersections();
static pointer F3178set_non_contour_intersections();
static pointer F3179curved_edge_image_p();
static pointer F3180hid2();

/*check-visibility*/
static pointer F3174check_visibility(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=5) maerror();
	local[0]= NIL;
	local[1]= makeflt(0.0000000000000000000000e+00);
	w = local[1];
	ctx->vsp=local+2;
	bindspecial(ctx,fqv[0],w);
	local[5]= NIL;
	local[6]= loadglobal(fqv[1]);
WHL3184:
	if (local[6]==NIL) goto WHX3185;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7]= (w)->c.cons.car;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6] = (w)->c.cons.cdr;
	w = local[7];
	local[5] = w;
	local[0] = local[5]->c.obj.iv[2];
	local[7]= local[0];
	if (argv[0]==local[7]) goto IF3188;
	local[7]= local[0];
	if (argv[1]==local[7]) goto IF3188;
	local[7]= local[5];
	local[8]= fqv[2];
	local[9]= argv[3];
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,3,local+7); /*send*/
	if (w==NIL) goto IF3188;
	local[7]= local[0];
	local[8]= fqv[3];
	local[9]= argv[2];
	local[10]= argv[4];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,4,local+7); /*send*/
	if (w==NIL) goto IF3188;
	w = NIL;
	ctx->vsp=local+7;
	unwind(ctx,local+0);
	local[0]=w;
	goto BLK3182;
	goto IF3189;
IF3188:
	local[7]= NIL;
IF3189:
	goto WHL3184;
WHX3185:
	local[7]= NIL;
BLK3186:
	w = NIL;
	local[5]= T;
	ctx->vsp=local+6;
	unbindx(ctx,1);
	w = local[5];
	local[0]= w;
BLK3182:
	ctx->vsp=local; return(local[0]);}

/*:edge3*/
static pointer M3191edge_image_edge3(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[0];
	local[0]= w;
BLK3192:
	ctx->vsp=local; return(local[0]);}

/*:vertices*/
static pointer M3193edge_image_vertices(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[3];
	local[1]= argv[0]->c.obj.iv[4];
	ctx->vsp=local+2;
	w=(pointer)LIST(ctx,2,local+0); /*list*/
	local[0]= w;
BLK3194:
	ctx->vsp=local; return(local[0]);}

/*:color*/
static pointer M3195edge_image_color(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[0];
	local[1]= fqv[4];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK3196:
	ctx->vsp=local; return(local[0]);}

/*:homo2real*/
static pointer M3197edge_image_homo2real(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[2];
	local[1]= argv[0]->c.obj.iv[1];
	{ register eusinteger_t i=intval(makeint((eusinteger_t)3L));
	  w=makeflt(local[1]->c.fvec.fv[i]);}
	{ double x,y;
		y=fltval(w); x=fltval(local[0]);
		local[0]=(makeflt(x * y));}
	local[1]= local[0];
	local[2]= local[0];
	local[3]= argv[0]->c.obj.iv[2];
	{ register eusinteger_t i=intval(makeint((eusinteger_t)3L));
	  w=makeflt(local[3]->c.fvec.fv[i]);}
	local[3]= w;
	local[4]= makeflt(1.0000000000000000000000e+00);
	{ double x,y;
		y=fltval(argv[2]); x=fltval(local[4]);
		local[4]=(makeflt(x - y));}
	{ double x,y;
		y=fltval(local[4]); x=fltval(local[3]);
		local[3]=(makeflt(x * y));}
	{ double x,y;
		y=fltval(local[3]); x=fltval(local[2]);
		local[2]=(makeflt(x + y));}
	ctx->vsp=local+3;
	w=(pointer)QUOTIENT(ctx,2,local+1); /*/*/
	local[0]= w;
BLK3198:
	ctx->vsp=local; return(local[0]);}

/*:add-segment*/
static pointer M3199edge_image_add_segment(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<3) maerror();
	if (n>=4) { local[0]=(argv[3]); goto ENT3202;}
	local[0]= NIL;
ENT3202:
ENT3201:
	if (n>4) maerror();
	local[1]= argv[2];
	local[2]= argv[0]->c.obj.iv[1];
	{ register eusinteger_t i=intval(makeint((eusinteger_t)3L));
	  w=makeflt(local[2]->c.fvec.fv[i]);}
	{ double x,y;
		y=fltval(w); x=fltval(local[1]);
		local[1]=(makeflt(x * y));}
	local[2]= local[1];
	local[3]= local[1];
	local[4]= argv[0]->c.obj.iv[2];
	{ register eusinteger_t i=intval(makeint((eusinteger_t)3L));
	  w=makeflt(local[4]->c.fvec.fv[i]);}
	local[4]= w;
	local[5]= makeflt(1.0000000000000000000000e+00);
	{ double x,y;
		y=fltval(makeflt(-(fltval(argv[2])))); x=fltval(local[5]);
		local[5]=(makeflt(x + y));}
	{ double x,y;
		y=fltval(local[5]); x=fltval(local[4]);
		local[4]=(makeflt(x * y));}
	{ double x,y;
		y=fltval(local[4]); x=fltval(local[3]);
		local[3]=(makeflt(x + y));}
	ctx->vsp=local+4;
	w=(pointer)QUOTIENT(ctx,2,local+2); /*/*/
	local[1] = w;
	local[2]= local[1];
	{ double left,right;
		right=fltval(makeflt(0.0000000000000000000000e+00)); left=fltval(local[2]);
	if (left < right) goto IF3203;}
	local[2]= local[1];
	{ double left,right;
		right=fltval(makeflt(1.0000000000000000000000e+00)); left=fltval(local[2]);
	if (left > right) goto IF3203;}
	local[2]= argv[2];
	local[3]= local[1];
	local[4]= T;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,4,local+2); /*list*/
	local[2]= w;
	w = argv[0]->c.obj.iv[5];
	ctx->vsp=local+3;
	argv[0]->c.obj.iv[5] = cons(ctx,local[2],w);
	local[2]= argv[0]->c.obj.iv[5];
	goto IF3204;
IF3203:
	local[2]= NIL;
IF3204:
	w = local[2];
	local[0]= w;
BLK3200:
	ctx->vsp=local; return(local[0]);}

/*:projected-point*/
static pointer M3205edge_image_projected_point(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= makeflt(1.0000000000000000000000e+00);
	{ double x,y;
		y=fltval(argv[2]); x=fltval(local[0]);
		local[0]=(makeflt(x - y));}
	local[1]= argv[0]->c.obj.iv[3];
	ctx->vsp=local+2;
	w=(pointer)SCALEVEC(ctx,2,local+0); /*scale*/
	local[0]= w;
	local[1]= argv[2];
	local[2]= argv[0]->c.obj.iv[4];
	ctx->vsp=local+3;
	w=(pointer)SCALEVEC(ctx,2,local+1); /*scale*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)VPLUS(ctx,2,local+0); /*v+*/
	local[0]= w;
BLK3206:
	ctx->vsp=local; return(local[0]);}

/*:projected-homo-point*/
static pointer M3207edge_image_projected_homo_point(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= makeflt(1.0000000000000000000000e+00);
	{ double x,y;
		y=fltval(argv[2]); x=fltval(local[0]);
		local[0]=(makeflt(x - y));}
	local[1]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+2;
	w=(pointer)SCALEVEC(ctx,2,local+0); /*scale*/
	local[0]= w;
	local[1]= argv[2];
	local[2]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+3;
	w=(pointer)SCALEVEC(ctx,2,local+1); /*scale*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)VPLUS(ctx,2,local+0); /*v+*/
	local[0]= w;
BLK3208:
	ctx->vsp=local; return(local[0]);}

/*:intersecting-point*/
static pointer M3209edge_image_intersecting_point(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0]->c.obj.iv[3];
	local[1]= argv[0]->c.obj.iv[4];
	local[2]= argv[2]->c.obj.iv[3];
	local[3]= argv[2]->c.obj.iv[4];
	local[4]= T;
	ctx->vsp=local+5;
	w=(*ftab[0])(ctx,5,local+0,&ftab[0],fqv[5]); /*line-intersection*/
	local[0]= w;
	if (local[0]==NIL) goto IF3211;
	local[1]= argv[0]->c.obj.iv[0];
	local[2]= fqv[6];
	local[3]= argv[0];
	local[4]= fqv[7];
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5]= (w)->c.cons.car;
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,3,local+3); /*send*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	local[1]= w;
	goto IF3212;
IF3211:
	local[1]= NIL;
IF3212:
	w = local[1];
	local[0]= w;
BLK3210:
	ctx->vsp=local; return(local[0]);}

/*:projected-intersection*/
static pointer M3213edge_image_projected_intersection(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=4) maerror();
	local[0]= argv[0]->c.obj.iv[3];
	local[1]= argv[0]->c.obj.iv[4];
	local[2]= argv[2]->c.obj.iv[3];
	local[3]= argv[2]->c.obj.iv[4];
	local[4]= T;
	ctx->vsp=local+5;
	w=(*ftab[0])(ctx,5,local+0,&ftab[0],fqv[5]); /*line-intersection*/
	local[0]= w;
	if (local[0]==NIL) goto IF3215;
	local[1]= argv[0];
	local[2]= fqv[8];
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	local[4]= argv[2];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,4,local+1); /*send*/
	if (argv[3]==NIL) goto IF3217;
	local[1]= argv[2];
	local[2]= fqv[8];
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	local[4]= argv[0];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,4,local+1); /*send*/
	local[1]= w;
	goto IF3218;
IF3217:
	local[1]= NIL;
IF3218:
	goto IF3216;
IF3215:
	local[1]= NIL;
IF3216:
	w = local[1];
	local[0]= w;
BLK3214:
	ctx->vsp=local; return(local[0]);}

/*:sort-segments*/
static pointer M3219edge_image_sort_segments(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= (pointer)get_sym_func(fqv[9]);
	local[2]= (pointer)get_sym_func(fqv[10]);
	ctx->vsp=local+3;
	w=(pointer)SORT(ctx,3,local+0); /*sort*/
	argv[0]->c.obj.iv[5] = w;
	w = argv[0]->c.obj.iv[5];
	local[0]= w;
BLK3220:
	ctx->vsp=local; return(local[0]);}

/*:box*/
static pointer M3221edge_image_box(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= loadglobal(fqv[11]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
	local[1]= local[0];
	local[2]= fqv[12];
	local[3]= argv[0]->c.obj.iv[3];
	local[4]= argv[0]->c.obj.iv[4];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,4,local+1); /*send*/
	w = local[0];
	local[0]= w;
BLK3222:
	ctx->vsp=local; return(local[0]);}

/*:contourp*/
static pointer M3224edge_image_contourp(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[6];
	local[0]= w;
BLK3225:
	ctx->vsp=local; return(local[0]);}

/*:mark-visible-segments*/
static pointer M3226edge_image_mark_visible_segments(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	w=argv[0]->c.obj.iv[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.car;
	local[1]= NIL;
	local[2]= NIL;
	local[3]= NIL;
	local[4]= argv[0]->c.obj.iv[0]->c.obj.iv[3];
	local[5]= argv[0]->c.obj.iv[0]->c.obj.iv[4];
	local[6]= NIL;
	w=argv[0]->c.obj.iv[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7]= (w)->c.cons.cdr;
WHL3229:
	if (local[7]==NIL) goto WHX3230;
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[8]= (w)->c.cons.car;
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7] = (w)->c.cons.cdr;
	w = local[8];
	local[6] = w;
	local[8]= argv[0];
	local[9]= fqv[13];
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	{ double x,y;
		y=fltval((w)->c.cons.car); x=fltval(local[10]);
		local[10]=(makeflt(x + y));}
	local[11]= makeflt(2.0000000000000000000000e+00);
	ctx->vsp=local+12;
	w=(pointer)QUOTIENT(ctx,2,local+10); /*/*/
	local[10]= w;
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,3,local+8); /*send*/
	local[3] = w;
	local[8]= argv[0]->c.obj.iv[0];
	local[9]= fqv[6];
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	{ double x,y;
		y=fltval((w)->c.cons.car); x=fltval(local[10]);
		local[10]=(makeflt(x + y));}
	local[11]= makeflt(2.0000000000000000000000e+00);
	ctx->vsp=local+12;
	w=(pointer)QUOTIENT(ctx,2,local+10); /*/*/
	local[10]= w;
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,3,local+8); /*send*/
	local[1] = w;
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[8]= (w)->c.cons.cdr;
	local[9]= local[4];
	local[10]= local[5];
	local[11]= local[1];
	local[12]= local[3];
	local[13]= argv[2];
	ctx->vsp=local+14;
	w=(pointer)F3174check_visibility(ctx,5,local+9); /*check-visibility*/
	local[9]= w;
	ctx->vsp=local+10;
	w=(pointer)RPLACA2(ctx,2,local+8); /*rplaca2*/
	local[0] = local[6];
	goto WHL3229;
WHX3230:
	local[8]= NIL;
BLK3231:
	w = NIL;
	local[0]= w;
BLK3227:
	ctx->vsp=local; return(local[0]);}

/*:visible-face*/
static pointer M3233edge_image_visible_face(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0]->c.obj.iv[0]->c.obj.iv[3];
	local[1]= argv[0]->c.obj.iv[0]->c.obj.iv[4];
	local[2]= local[0];
	w = loadglobal(fqv[14]);
	if (memq(local[2],w)==NIL) goto IF3235;
	local[2]= local[0];
	goto IF3236;
IF3235:
	local[2]= local[1];
IF3236:
	w = local[2];
	local[0]= w;
BLK3234:
	ctx->vsp=local; return(local[0]);}

/*:collect-segments*/
static pointer M3237edge_image_collect_segments(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= NIL;
	w=argv[0]->c.obj.iv[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1]= (w)->c.cons.car;
	local[2]= NIL;
	local[3]= NIL;
	local[4]= NIL;
	local[5]= NIL;
	w=argv[0]->c.obj.iv[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.cdr;
WHL3240:
	if (local[6]==NIL) goto WHX3241;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7]= (w)->c.cons.car;
	w=local[6];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6] = (w)->c.cons.cdr;
	w = local[7];
	local[5] = w;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7]= (w)->c.cons.car;
	if (argv[2]!=local[7]) goto IF3244;
	local[7]= argv[0];
	local[8]= fqv[15];
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9]= (w)->c.cons.car;
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,3,local+7); /*send*/
	local[2] = w;
	local[7]= argv[0];
	local[8]= fqv[15];
	w=local[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9]= (w)->c.cons.car;
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,3,local+7); /*send*/
	local[3] = w;
	local[7]= local[2];
	local[8]= local[3];
	ctx->vsp=local+9;
	w=(*ftab[1])(ctx,2,local+7,&ftab[1],fqv[16]); /*homo-viewport-clip*/
	local[4] = w;
	if (local[4]==NIL) goto IF3246;
	local[7]= local[4];
	w = local[0];
	ctx->vsp=local+8;
	local[0] = cons(ctx,local[7],w);
	local[7]= local[0];
	goto IF3247;
IF3246:
	local[7]= NIL;
IF3247:
	goto IF3245;
IF3244:
	local[7]= NIL;
IF3245:
	local[1] = local[5];
	goto WHL3240;
WHX3241:
	local[7]= NIL;
BLK3242:
	w = NIL;
	w = local[0];
	local[0]= w;
BLK3238:
	ctx->vsp=local; return(local[0]);}

/*:visible-segments*/
static pointer M3248edge_image_visible_segments(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= fqv[17];
	local[2]= T;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
BLK3249:
	ctx->vsp=local; return(local[0]);}

/*:invisible-segments*/
static pointer M3250edge_image_invisible_segments(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= fqv[17];
	local[2]= NIL;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
BLK3251:
	ctx->vsp=local; return(local[0]);}

/*:project*/
static pointer M3252edge_image_project(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<4) maerror();
	if (n>=5) { local[0]=(argv[4]); goto ENT3255;}
	local[0]= argv[3];
	local[1]= fqv[18];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
ENT3255:
ENT3254:
	if (n>5) maerror();
	argv[0]->c.obj.iv[0] = argv[2];
	local[1]= argv[3];
	local[2]= fqv[19];
	local[3]= argv[2]->c.obj.iv[1];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	argv[0]->c.obj.iv[1] = w;
	local[1]= argv[3];
	local[2]= fqv[19];
	local[3]= argv[2]->c.obj.iv[2];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	argv[0]->c.obj.iv[2] = w;
	local[1]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+2;
	w=(*ftab[2])(ctx,1,local+1,&ftab[2],fqv[20]); /*homo2normal*/
	argv[0]->c.obj.iv[3] = w;
	local[1]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+2;
	w=(*ftab[2])(ctx,1,local+1,&ftab[2],fqv[20]); /*homo2normal*/
	argv[0]->c.obj.iv[4] = w;
	local[1]= makeflt(0.0000000000000000000000e+00);
	local[2]= makeflt(0.0000000000000000000000e+00);
	local[3]= T;
	ctx->vsp=local+4;
	w=(pointer)LIST(ctx,3,local+1); /*list*/
	local[1]= w;
	local[2]= makeflt(1.0000000000000000000000e+00);
	local[3]= makeflt(1.0000000000000000000000e+00);
	local[4]= T;
	ctx->vsp=local+5;
	w=(pointer)LIST(ctx,3,local+2); /*list*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)LIST(ctx,2,local+1); /*list*/
	argv[0]->c.obj.iv[5] = w;
	local[1]= argv[2];
	local[2]= fqv[21];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	argv[0]->c.obj.iv[6] = w;
	w = argv[0];
	local[0]= w;
BLK3253:
	ctx->vsp=local; return(local[0]);}

/*:init*/
static pointer M3256edge_image_init(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[22], &argv[2], n-2, local+0, 0);
	if (n & (1<<0)) goto KEY3258;
	local[0] = NIL;
KEY3258:
	if (n & (1<<1)) goto KEY3259;
	local[1] = NIL;
KEY3259:
	if (n & (1<<2)) goto KEY3260;
	local[2] = NIL;
KEY3260:
	if (n & (1<<3)) goto KEY3261;
	local[3] = NIL;
KEY3261:
	if (n & (1<<4)) goto KEY3262;
	local[4] = NIL;
KEY3262:
	if (local[0]==NIL) goto IF3263;
	argv[0]->c.obj.iv[0] = local[0];
	local[5]= argv[0]->c.obj.iv[0];
	goto IF3264;
IF3263:
	local[5]= NIL;
IF3264:
	if (local[1]==NIL) goto IF3265;
	argv[0]->c.obj.iv[1] = local[1];
	local[5]= argv[0]->c.obj.iv[1];
	goto IF3266;
IF3265:
	local[5]= NIL;
IF3266:
	if (local[2]==NIL) goto IF3267;
	argv[0]->c.obj.iv[2] = local[2];
	local[5]= argv[0]->c.obj.iv[2];
	goto IF3268;
IF3267:
	local[5]= NIL;
IF3268:
	if (local[3]==NIL) goto IF3269;
	argv[0]->c.obj.iv[3] = local[3];
	local[5]= argv[0]->c.obj.iv[3];
	goto IF3270;
IF3269:
	local[5]= NIL;
IF3270:
	if (local[4]==NIL) goto IF3271;
	argv[0]->c.obj.iv[4] = local[4];
	local[5]= argv[0]->c.obj.iv[4];
	goto IF3272;
IF3271:
	local[5]= NIL;
IF3272:
	w = argv[0];
	local[0]= w;
BLK3257:
	ctx->vsp=local; return(local[0]);}

/*:face3d*/
static pointer M3273face_image_face3d(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[2];
	local[0]= w;
BLK3274:
	ctx->vsp=local; return(local[0]);}

/*:possibly-hiding*/
static pointer M3275face_image_possibly_hiding(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0]->c.obj.iv[0];
	local[1]= fqv[23];
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
BLK3276:
	ctx->vsp=local; return(local[0]);}

/*:boxtest*/
static pointer M3277face_image_boxtest(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0]->c.obj.iv[0];
	local[1]= fqv[24];
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
BLK3278:
	ctx->vsp=local; return(local[0]);}

/*:init*/
static pointer M3279face_image_init(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=5) maerror();
	local[0]= NIL;
	local[1]= NIL;
	local[2]= argv[3];
WHL3282:
	if (local[2]==NIL) goto WHX3283;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2] = (w)->c.cons.cdr;
	w = local[3];
	local[1] = w;
	if (local[1]==NIL) goto IF3286;
	local[3]= local[1];
	local[4]= fqv[25];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,2,local+3); /*send*/
	local[3]= w;
	w = local[0];
	ctx->vsp=local+4;
	local[0] = cons(ctx,local[3],w);
	local[3]= local[0];
	goto IF3287;
IF3286:
	local[3]= NIL;
IF3287:
	goto WHL3282;
WHX3283:
	local[3]= NIL;
BLK3284:
	w = NIL;
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(*ftab[3])(ctx,1,local+1,&ftab[3],fqv[26]); /*flatten*/
	local[0] = w;
	argv[0]->c.obj.iv[2] = argv[2];
	argv[0]->c.obj.iv[1] = argv[3];
	local[1]= loadglobal(fqv[11]);
	ctx->vsp=local+2;
	w=(pointer)INSTANTIATE(ctx,1,local+1); /*instantiate*/
	local[1]= w;
	local[2]= local[1];
	local[3]= fqv[27];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,3,local+2); /*send*/
	w = local[1];
	argv[0]->c.obj.iv[0] = w;
	local[1]= argv[0]->c.obj.iv[0];
	local[2]= fqv[28];
	local[3]= makeflt(9.9999999999999950039964e-03);
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	local[1]= argv[0]->c.obj.iv[0]->c.obj.iv[1];
	local[2]= makeint((eusinteger_t)2L);
	local[3]= makeflt(1.0000000000000000000000e+20);
	ctx->vsp=local+4;
	w=(pointer)ASET(ctx,3,local+1); /*aset*/
	w = argv[0];
	local[0]= w;
BLK3280:
	ctx->vsp=local; return(local[0]);}

/*make-face-image*/
static pointer F3176make_face_image(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= loadglobal(fqv[29]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
	local[1]= local[0];
	local[2]= fqv[27];
	local[3]= argv[0];
	ctx->vsp=local+4;
	local[4]= makeclosure(codevec,quotevec,CLO3291,env,argv,local);
	local[5]= argv[0];
	local[6]= fqv[30];
	ctx->vsp=local+7;
	w=(pointer)SEND(ctx,2,local+5); /*send*/
	local[5]= w;
	ctx->vsp=local+6;
	w=(pointer)MAPCAR(ctx,2,local+4); /*mapcar*/
	local[4]= w;
	local[5]= argv[2];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,5,local+1); /*send*/
	w = local[0];
	local[0]= w;
BLK3289:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO3291(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= env->c.clo.env1[1];
	ctx->vsp=local+2;
	w=(*ftab[4])(ctx,2,local+0,&ftab[4],fqv[31]); /*gethash*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*set-contour-intersections*/
static pointer F3177set_contour_intersections(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
WHL3293:
	if (argv[0]==NIL) goto WHX3294;
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.car;
	w=argv[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	argv[0] = (w)->c.cons.cdr;
	w = local[0];
	local[0]= w;
	local[1]= local[0]->c.obj.iv[0];
	local[2]= local[1]->c.obj.iv[3];
	local[3]= local[1]->c.obj.iv[4];
	if (local[2]==NIL) goto IF3297;
	local[4]= local[2]->c.obj.iv[4];
	goto IF3298;
IF3297:
	local[4]= NIL;
IF3298:
	if (local[3]==NIL) goto IF3299;
	local[5]= local[3]->c.obj.iv[4];
	goto IF3300;
IF3299:
	local[5]= NIL;
IF3300:
	local[6]= NIL;
	local[7]= argv[0];
WHL3302:
	if (local[7]==NIL) goto WHX3303;
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[8]= (w)->c.cons.car;
	w=local[7];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[7] = (w)->c.cons.cdr;
	w = local[8];
	local[6] = w;
	local[8]= local[6]->c.obj.iv[0];
	w = local[4];
	if (memq(local[8],w)!=NIL) goto IF3306;
	local[8]= local[6]->c.obj.iv[0];
	w = local[5];
	if (memq(local[8],w)!=NIL) goto IF3306;
	local[8]= local[0];
	local[9]= fqv[32];
	local[10]= local[6];
	local[11]= T;
	ctx->vsp=local+12;
	w=(pointer)SEND(ctx,4,local+8); /*send*/
	local[8]= w;
	goto IF3307;
IF3306:
	local[8]= NIL;
IF3307:
	goto WHL3302;
WHX3303:
	local[8]= NIL;
BLK3304:
	w = NIL;
	goto WHL3293;
WHX3294:
	local[0]= NIL;
BLK3295:
	w = local[0];
	local[0]= w;
BLK3292:
	ctx->vsp=local; return(local[0]);}

/*set-non-contour-intersections*/
static pointer F3178set_non_contour_intersections(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= argv[0];
WHL3310:
	if (local[1]==NIL) goto WHX3311;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1] = (w)->c.cons.cdr;
	w = local[2];
	local[0] = w;
	local[2]= local[0]->c.obj.iv[0];
	local[3]= local[2]->c.obj.iv[3];
	local[4]= local[2]->c.obj.iv[4];
	if (local[3]==NIL) goto IF3314;
	local[5]= local[3]->c.obj.iv[4];
	goto IF3315;
IF3314:
	local[5]= NIL;
IF3315:
	if (local[4]==NIL) goto IF3316;
	local[6]= local[4]->c.obj.iv[4];
	goto IF3317;
IF3316:
	local[6]= NIL;
IF3317:
	local[7]= NIL;
	local[8]= argv[1];
WHL3319:
	if (local[8]==NIL) goto WHX3320;
	w=local[8];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9]= (w)->c.cons.car;
	w=local[8];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[8] = (w)->c.cons.cdr;
	w = local[9];
	local[7] = w;
	local[9]= local[7]->c.obj.iv[0];
	w = local[5];
	if (memq(local[9],w)!=NIL) goto IF3323;
	local[9]= local[7]->c.obj.iv[0];
	w = local[6];
	if (memq(local[9],w)!=NIL) goto IF3323;
	local[9]= local[0];
	local[10]= fqv[32];
	local[11]= local[7];
	local[12]= NIL;
	ctx->vsp=local+13;
	w=(pointer)SEND(ctx,4,local+9); /*send*/
	local[9]= w;
	goto IF3324;
IF3323:
	local[9]= NIL;
IF3324:
	goto WHL3319;
WHX3320:
	local[9]= NIL;
BLK3321:
	w = NIL;
	goto WHL3310;
WHX3311:
	local[2]= NIL;
BLK3312:
	w = NIL;
	local[0]= w;
BLK3308:
	ctx->vsp=local; return(local[0]);}

/*curved-edge-image-p*/
static pointer F3179curved_edge_image_p(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= loadglobal(fqv[33]);
	if (local[0]==NIL) goto AND3326;
	local[0]= argv[0]->c.obj.iv[0];
	local[1]= fqv[34];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
AND3326:
	w = local[0];
	local[0]= w;
BLK3325:
	ctx->vsp=local; return(local[0]);}

/*hid2*/
static pointer F3180hid2(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT3329;}
	local[0]= NIL;
ENT3329:
ENT3328:
	if (n>3) maerror();
	local[1]= fqv[35];
	local[2]= makeint((eusinteger_t)100L);
	local[3]= fqv[36];
	local[4]= (pointer)get_sym_func(fqv[37]);
	local[5]= fqv[38];
	local[6]= (pointer)get_sym_func(fqv[39]);
	ctx->vsp=local+7;
	w=(*ftab[5])(ctx,6,local+1,&ftab[5],fqv[40]); /*make-hash-table*/
	local[1]= w;
	local[2]= argv[1];
	local[3]= fqv[18];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)RUNTIME(ctx,0,local+3); /*unix:runtime*/
	local[3]= w;
	local[4]= NIL;
	local[5]= NIL;
	local[6]= NIL;
	local[7]= NIL;
	storeglobal(fqv[14],NIL);
	storeglobal(fqv[1],NIL);
	storeglobal(fqv[41],NIL);
	storeglobal(fqv[42],NIL);
	storeglobal(fqv[43],NIL);
	storeglobal(fqv[44],NIL);
	storeglobal(fqv[45],NIL);
	local[8]= NIL;
	storeglobal(fqv[46],local[8]);
	local[8]= NIL;
	local[9]= argv[0];
WHL3331:
	if (local[9]==NIL) goto WHX3332;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9] = (w)->c.cons.cdr;
	w = local[10];
	local[8] = w;
	local[10]= NIL;
	local[11]= NIL;
	local[12]= local[8];
	local[13]= loadglobal(fqv[47]);
	ctx->vsp=local+14;
	w=(pointer)DERIVEDP(ctx,2,local+12); /*derivedp*/
	if (w==NIL) goto IF3335;
	local[12]= local[8];
	local[13]= fqv[48];
	ctx->vsp=local+14;
	w=(pointer)SEND(ctx,2,local+12); /*send*/
	local[12]= w;
	goto IF3336;
IF3335:
	local[12]= NIL;
IF3336:
	local[12]= NIL;
	local[13]= local[8];
	local[14]= loadglobal(fqv[47]);
	ctx->vsp=local+15;
	w=(pointer)DERIVEDP(ctx,2,local+13); /*derivedp*/
	if (w==NIL) goto IF3338;
	local[13]= local[8];
	local[14]= fqv[49];
	ctx->vsp=local+15;
	w=(pointer)SEND(ctx,2,local+13); /*send*/
	local[13]= w;
	goto IF3339;
IF3338:
	local[13]= local[8];
	ctx->vsp=local+14;
	w=(pointer)LIST(ctx,1,local+13); /*list*/
	local[13]= w;
IF3339:
WHL3340:
	if (local[13]==NIL) goto WHX3341;
	w=local[13];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[14]= (w)->c.cons.car;
	w=local[13];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[13] = (w)->c.cons.cdr;
	w = local[14];
	local[12] = w;
	local[14]= local[12];
	local[15]= fqv[50];
	local[16]= local[2];
	ctx->vsp=local+17;
	w=(pointer)SEND(ctx,3,local+14); /*send*/
	local[14]= w;
	local[15]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+16;
	w=(pointer)GREATERP(ctx,2,local+14); /*>*/
	if (w==NIL) goto IF3344;
	local[14]= local[12];
	w = local[10];
	ctx->vsp=local+15;
	local[10] = cons(ctx,local[14],w);
	local[14]= local[10];
	goto IF3345;
IF3344:
	local[14]= NIL;
IF3345:
	goto WHL3340;
WHX3341:
	local[14]= NIL;
BLK3342:
	w = NIL;
	local[12]= (pointer)get_sym_func(fqv[51]);
	local[13]= local[10];
	local[14]= fqv[52];
	ctx->vsp=local+15;
	w=(*ftab[6])(ctx,2,local+13,&ftab[6],fqv[53]); /*send-all*/
	local[13]= w;
	ctx->vsp=local+14;
	w=(pointer)APPLY(ctx,2,local+12); /*apply*/
	local[12]= w;
	ctx->vsp=local+13;
	w=(*ftab[7])(ctx,1,local+12,&ftab[7],fqv[54]); /*remove-duplicates*/
	local[11] = w;
	local[12]= loadglobal(fqv[42]);
	local[13]= local[8];
	local[14]= fqv[52];
	ctx->vsp=local+15;
	w=(pointer)SEND(ctx,2,local+13); /*send*/
	local[13]= w;
	local[14]= local[11];
	ctx->vsp=local+15;
	w=(*ftab[8])(ctx,2,local+13,&ftab[8],fqv[55]); /*set-difference*/
	local[13]= w;
	ctx->vsp=local+14;
	w=(pointer)NCONC(ctx,2,local+12); /*nconc*/
	storeglobal(fqv[42],w);
	local[12]= local[11];
	local[13]= loadglobal(fqv[41]);
	ctx->vsp=local+14;
	w=(pointer)NCONC(ctx,2,local+12); /*nconc*/
	storeglobal(fqv[41],w);
	local[12]= local[10];
	local[13]= loadglobal(fqv[14]);
	ctx->vsp=local+14;
	w=(pointer)NCONC(ctx,2,local+12); /*nconc*/
	local[12]= w;
	storeglobal(fqv[14],w);
	w = local[12];
	goto WHL3331;
WHX3332:
	local[10]= NIL;
BLK3333:
	w = NIL;
	local[8]= NIL;
	local[9]= loadglobal(fqv[41]);
WHL3347:
	if (local[9]==NIL) goto WHX3348;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9] = (w)->c.cons.cdr;
	w = local[10];
	local[8] = w;
	local[10]= loadglobal(fqv[56]);
	ctx->vsp=local+11;
	w=(pointer)INSTANTIATE(ctx,1,local+10); /*instantiate*/
	local[10]= w;
	local[11]= local[10];
	local[12]= fqv[57];
	local[13]= local[8];
	local[14]= argv[1];
	local[15]= local[2];
	ctx->vsp=local+16;
	w=(pointer)SEND(ctx,5,local+11); /*send*/
	w = local[10];
	local[10]= w;
	local[11]= local[10];
	local[12]= fqv[21];
	ctx->vsp=local+13;
	w=(pointer)SEND(ctx,2,local+11); /*send*/
	if (w==NIL) goto IF3352;
	local[11]= local[10];
	w = loadglobal(fqv[44]);
	ctx->vsp=local+12;
	local[11]= cons(ctx,local[11],w);
	storeglobal(fqv[44],local[11]);
	goto IF3353;
IF3352:
	local[11]= local[10];
	ctx->vsp=local+12;
	w=(pointer)F3179curved_edge_image_p(ctx,1,local+11); /*curved-edge-image-p*/
	if (w!=NIL) goto IF3354;
	local[11]= local[10];
	w = loadglobal(fqv[45]);
	ctx->vsp=local+12;
	local[11]= cons(ctx,local[11],w);
	storeglobal(fqv[45],local[11]);
	goto IF3355;
IF3354:
	local[11]= NIL;
IF3355:
IF3353:
	local[11]= local[8];
	local[12]= local[1];
	local[13]= local[10];
	ctx->vsp=local+14;
	w=(*ftab[9])(ctx,3,local+11,&ftab[9],fqv[58]); /*sethash*/
	goto WHL3347;
WHX3348:
	local[10]= NIL;
BLK3349:
	w = NIL;
	ctx->vsp=local+8;
	w=(pointer)RUNTIME(ctx,0,local+8); /*unix:runtime*/
	local[5] = w;
	ctx->vsp=local+8;
	local[8]= makeclosure(codevec,quotevec,CLO3356,env,argv,local);
	local[9]= loadglobal(fqv[14]);
	ctx->vsp=local+10;
	w=(pointer)MAPCAR(ctx,2,local+8); /*mapcar*/
	local[8]= w;
	storeglobal(fqv[1],w);
	local[8]= loadglobal(fqv[44]);
	ctx->vsp=local+9;
	w=(pointer)F3177set_contour_intersections(ctx,1,local+8); /*set-contour-intersections*/
	local[8]= loadglobal(fqv[45]);
	local[9]= loadglobal(fqv[44]);
	ctx->vsp=local+10;
	w=(pointer)F3178set_non_contour_intersections(ctx,2,local+8); /*set-non-contour-intersections*/
	local[8]= loadglobal(fqv[56]);
	ctx->vsp=local+9;
	w=(pointer)INSTANTIATE(ctx,1,local+8); /*instantiate*/
	local[8]= w;
	local[9]= local[8];
	local[10]= fqv[27];
	local[11]= fqv[59];
	local[12]= fqv[60];
	local[13]= fqv[61];
	local[14]= fqv[62];
	ctx->vsp=local+15;
	w=(pointer)SEND(ctx,6,local+9); /*send*/
	w = local[8];
	local[8]= w;
	w = local[4];
	ctx->vsp=local+9;
	local[4] = cons(ctx,local[8],w);
	local[8]= loadglobal(fqv[56]);
	ctx->vsp=local+9;
	w=(pointer)INSTANTIATE(ctx,1,local+8); /*instantiate*/
	local[8]= w;
	local[9]= local[8];
	local[10]= fqv[27];
	local[11]= fqv[59];
	local[12]= fqv[63];
	local[13]= fqv[61];
	local[14]= fqv[64];
	ctx->vsp=local+15;
	w=(pointer)SEND(ctx,6,local+9); /*send*/
	w = local[8];
	local[8]= w;
	w = local[4];
	ctx->vsp=local+9;
	local[4] = cons(ctx,local[8],w);
	local[8]= loadglobal(fqv[56]);
	ctx->vsp=local+9;
	w=(pointer)INSTANTIATE(ctx,1,local+8); /*instantiate*/
	local[8]= w;
	local[9]= local[8];
	local[10]= fqv[27];
	local[11]= fqv[59];
	local[12]= fqv[65];
	local[13]= fqv[61];
	local[14]= fqv[66];
	ctx->vsp=local+15;
	w=(pointer)SEND(ctx,6,local+9); /*send*/
	w = local[8];
	local[8]= w;
	w = local[4];
	ctx->vsp=local+9;
	local[4] = cons(ctx,local[8],w);
	local[8]= loadglobal(fqv[56]);
	ctx->vsp=local+9;
	w=(pointer)INSTANTIATE(ctx,1,local+8); /*instantiate*/
	local[8]= w;
	local[9]= local[8];
	local[10]= fqv[27];
	local[11]= fqv[59];
	local[12]= fqv[67];
	local[13]= fqv[61];
	local[14]= fqv[68];
	ctx->vsp=local+15;
	w=(pointer)SEND(ctx,6,local+9); /*send*/
	w = local[8];
	local[8]= w;
	w = local[4];
	ctx->vsp=local+9;
	local[4] = cons(ctx,local[8],w);
	local[8]= NIL;
	local[9]= local[4];
WHL3362:
	if (local[9]==NIL) goto WHX3363;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[10]= (w)->c.cons.car;
	w=local[9];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9] = (w)->c.cons.cdr;
	w = local[10];
	local[8] = w;
	local[10]= NIL;
	local[11]= loadglobal(fqv[44]);
WHL3367:
	if (local[11]==NIL) goto WHX3368;
	w=local[11];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[12]= (w)->c.cons.car;
	w=local[11];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[11] = (w)->c.cons.cdr;
	w = local[12];
	local[10] = w;
	local[12]= local[10];
	local[13]= fqv[32];
	local[14]= local[8];
	local[15]= NIL;
	ctx->vsp=local+16;
	w=(pointer)SEND(ctx,4,local+12); /*send*/
	goto WHL3367;
WHX3368:
	local[12]= NIL;
BLK3369:
	w = NIL;
	local[10]= NIL;
	local[11]= loadglobal(fqv[45]);
WHL3372:
	if (local[11]==NIL) goto WHX3373;
	w=local[11];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[12]= (w)->c.cons.car;
	w=local[11];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[11] = (w)->c.cons.cdr;
	w = local[12];
	local[10] = w;
	local[12]= local[10];
	local[13]= fqv[32];
	local[14]= local[8];
	local[15]= NIL;
	ctx->vsp=local+16;
	w=(pointer)SEND(ctx,4,local+12); /*send*/
	goto WHL3372;
WHX3373:
	local[12]= NIL;
BLK3374:
	w = NIL;
	goto WHL3362;
WHX3363:
	local[10]= NIL;
BLK3364:
	w = NIL;
	ctx->vsp=local+8;
	w=(pointer)RUNTIME(ctx,0,local+8); /*unix:runtime*/
	local[6] = w;
	local[8]= loadglobal(fqv[44]);
	local[9]= loadglobal(fqv[45]);
	ctx->vsp=local+10;
	w=(pointer)APPEND(ctx,2,local+8); /*append*/
	local[8]= w;
	storeglobal(fqv[69],w);
	local[8]= loadglobal(fqv[69]);
	local[9]= fqv[70];
	ctx->vsp=local+10;
	w=(*ftab[6])(ctx,2,local+8,&ftab[6],fqv[53]); /*send-all*/
	local[8]= loadglobal(fqv[69]);
	local[9]= fqv[71];
	local[10]= local[2];
	ctx->vsp=local+11;
	w=(*ftab[6])(ctx,3,local+8,&ftab[6],fqv[53]); /*send-all*/
	ctx->vsp=local+8;
	w=(pointer)RUNTIME(ctx,0,local+8); /*unix:runtime*/
	local[7] = w;
	local[8]= local[5];
	local[9]= local[3];
	ctx->vsp=local+10;
	w=(pointer)MINUS(ctx,2,local+8); /*-*/
	local[8]= w;
	local[9]= local[6];
	local[10]= local[5];
	ctx->vsp=local+11;
	w=(pointer)MINUS(ctx,2,local+9); /*-*/
	local[9]= w;
	local[10]= local[7];
	local[11]= local[6];
	ctx->vsp=local+12;
	w=(pointer)MINUS(ctx,2,local+10); /*-*/
	local[10]= w;
	ctx->vsp=local+11;
	w=(pointer)LIST(ctx,3,local+8); /*list*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)PRINT(ctx,1,local+8); /*print*/
	local[0]= w;
BLK3327:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO3356(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= env->c.clo.env2[1];
	local[2]= env->c.clo.env2[2];
	ctx->vsp=local+3;
	w=(pointer)F3176make_face_image(ctx,3,local+0); /*make-face-image*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/* initializer*/
pointer ___hid(ctx,n,argv,env)
register context *ctx; int n; pointer *argv; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv;
  register int i;
  numunion nu;
  module=argv[0];
  quotevec=build_quote_vector(ctx,QUOTE_STRINGS_SIZE, quote_strings);
  module->c.code.quotevec=quotevec;
  codevec=module->c.code.codevec;
  fqv=qv=quotevec->c.vec.v;
  init_ftab();
	local[0]= fqv[72];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	if (w==NIL) goto IF3376;
	local[0]= fqv[73];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	local[0]= w;
	storeglobal(fqv[74],w);
	goto IF3377;
IF3376:
	local[0]= fqv[75];
	ctx->vsp=local+1;
	w=(pointer)SIGERROR(ctx,1,local+0); /*error*/
	local[0]= w;
IF3377:
	local[0]= fqv[76];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	local[0]= fqv[14];
	local[1]= fqv[77];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF3378;
	local[0]= fqv[14];
	local[1]= fqv[77];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[14];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF3380;
	local[0]= fqv[14];
	local[1]= fqv[78];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF3381;
IF3380:
	local[0]= NIL;
IF3381:
	local[0]= fqv[14];
	goto IF3379;
IF3378:
	local[0]= NIL;
IF3379:
	local[0]= fqv[1];
	local[1]= fqv[77];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF3382;
	local[0]= fqv[1];
	local[1]= fqv[77];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[1];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF3384;
	local[0]= fqv[1];
	local[1]= fqv[78];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF3385;
IF3384:
	local[0]= NIL;
IF3385:
	local[0]= fqv[1];
	goto IF3383;
IF3382:
	local[0]= NIL;
IF3383:
	local[0]= fqv[41];
	local[1]= fqv[77];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF3386;
	local[0]= fqv[41];
	local[1]= fqv[77];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[41];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF3388;
	local[0]= fqv[41];
	local[1]= fqv[78];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF3389;
IF3388:
	local[0]= NIL;
IF3389:
	local[0]= fqv[41];
	goto IF3387;
IF3386:
	local[0]= NIL;
IF3387:
	local[0]= fqv[44];
	local[1]= fqv[77];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF3390;
	local[0]= fqv[44];
	local[1]= fqv[77];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[44];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF3392;
	local[0]= fqv[44];
	local[1]= fqv[78];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF3393;
IF3392:
	local[0]= NIL;
IF3393:
	local[0]= fqv[44];
	goto IF3391;
IF3390:
	local[0]= NIL;
IF3391:
	local[0]= fqv[69];
	local[1]= fqv[77];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF3394;
	local[0]= fqv[69];
	local[1]= fqv[77];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[69];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF3396;
	local[0]= fqv[69];
	local[1]= fqv[78];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF3397;
IF3396:
	local[0]= NIL;
IF3397:
	local[0]= fqv[69];
	goto IF3395;
IF3394:
	local[0]= NIL;
IF3395:
	local[0]= fqv[46];
	local[1]= fqv[77];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF3398;
	local[0]= fqv[46];
	local[1]= fqv[77];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[46];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF3400;
	local[0]= fqv[46];
	local[1]= fqv[78];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF3401;
IF3400:
	local[0]= NIL;
IF3401:
	local[0]= fqv[46];
	goto IF3399;
IF3398:
	local[0]= NIL;
IF3399:
	local[0]= fqv[45];
	local[1]= fqv[77];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF3402;
	local[0]= fqv[45];
	local[1]= fqv[77];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[45];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF3404;
	local[0]= fqv[45];
	local[1]= fqv[78];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF3405;
IF3404:
	local[0]= NIL;
IF3405:
	local[0]= fqv[45];
	goto IF3403;
IF3402:
	local[0]= NIL;
IF3403:
	local[0]= fqv[42];
	local[1]= fqv[77];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF3406;
	local[0]= fqv[42];
	local[1]= fqv[77];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[42];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF3408;
	local[0]= fqv[42];
	local[1]= fqv[78];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF3409;
IF3408:
	local[0]= NIL;
IF3409:
	local[0]= fqv[42];
	goto IF3407;
IF3406:
	local[0]= NIL;
IF3407:
	local[0]= fqv[43];
	local[1]= fqv[77];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF3410;
	local[0]= fqv[43];
	local[1]= fqv[77];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[43];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF3412;
	local[0]= fqv[43];
	local[1]= fqv[78];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF3413;
IF3412:
	local[0]= NIL;
IF3413:
	local[0]= fqv[43];
	goto IF3411;
IF3410:
	local[0]= NIL;
IF3411:
	local[0]= fqv[33];
	local[1]= fqv[79];
	local[2]= T;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[80],module,F3174check_visibility,fqv[81]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3191edge_image_edge3,fqv[82],fqv[56],fqv[83]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3193edge_image_vertices,fqv[25],fqv[56],fqv[84]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3195edge_image_color,fqv[4],fqv[56],fqv[85]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3197edge_image_homo2real,fqv[7],fqv[56],fqv[86]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3199edge_image_add_segment,fqv[8],fqv[56],fqv[87]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3205edge_image_projected_point,fqv[13],fqv[56],fqv[88]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3207edge_image_projected_homo_point,fqv[15],fqv[56],fqv[89]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3209edge_image_intersecting_point,fqv[90],fqv[56],fqv[91]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3213edge_image_projected_intersection,fqv[32],fqv[56],fqv[92]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3219edge_image_sort_segments,fqv[70],fqv[56],fqv[93]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3221edge_image_box,fqv[94],fqv[56],fqv[95]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3224edge_image_contourp,fqv[21],fqv[56],fqv[96]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3226edge_image_mark_visible_segments,fqv[71],fqv[56],fqv[97]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3233edge_image_visible_face,fqv[98],fqv[56],fqv[99]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3237edge_image_collect_segments,fqv[17],fqv[56],fqv[100]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3248edge_image_visible_segments,fqv[101],fqv[56],fqv[102]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3250edge_image_invisible_segments,fqv[103],fqv[56],fqv[104]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3252edge_image_project,fqv[57],fqv[56],fqv[105]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3256edge_image_init,fqv[27],fqv[56],fqv[106]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3273face_image_face3d,fqv[107],fqv[29],fqv[108]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3275face_image_possibly_hiding,fqv[2],fqv[29],fqv[109]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3277face_image_boxtest,fqv[110],fqv[29],fqv[111]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M3279face_image_init,fqv[27],fqv[29],fqv[112]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[113],module,F3176make_face_image,fqv[114]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[115],module,F3177set_contour_intersections,fqv[116]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[117],module,F3178set_non_contour_intersections,fqv[118]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[119],module,F3179curved_edge_image_p,fqv[120]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[121],module,F3180hid2,fqv[122]);
	local[0]= fqv[123];
	local[1]= fqv[124];
	ctx->vsp=local+2;
	w=(*ftab[10])(ctx,2,local+0,&ftab[10],fqv[125]); /*provide*/
	local[0]= NIL;
	ctx->vsp=local; return(local[0]);}
static void init_ftab()
{  register int i;
  for (i=0; i<11; i++) ftab[i]=fcallx;
}
