/* glview.c :  entry=glview */
/* compiled by EusLisp 9.15() for Linux64 created on host04.storm.ros.org(Mon Aug 31 14:55:10 UTC 2015) */
#include "eus.h"
#include "glview.h"
#pragma init (register_glview)
extern double fabs();
extern pointer fcallx();
static void init_ftab();
extern pointer loadglobal(),storeglobal();
static pointer module,*qv,codevec,quotevec;
extern pointer ___glview();
extern pointer build_quote_vector();
static int register_glview()
  { add_module_initializer("___glview", ___glview);}

static pointer F200geometry__default_viewsurface();
static pointer F201resetperspective();
static pointer F202gldraw();
static pointer F203swapb();
static pointer F204position_light();

/*:create*/
static pointer M205colormaterial_create(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[0], &argv[2], n-2, local+0, 0);
	if (n & (1<<0)) goto KEY207;
	local[0] = NIL;
KEY207:
	if (n & (1<<1)) goto KEY208;
	local[8]= makeflt(2.9999999999999982236432e-01);
	local[9]= makeflt(5.0000000000000000000000e-01);
	local[10]= makeflt(6.9999999999999973354647e-01);
	local[11]= makeint((eusinteger_t)1L);
	ctx->vsp=local+12;
	w=(pointer)MKFLTVEC(ctx,4,local+8); /*float-vector*/
	local[1] = w;
KEY208:
	if (n & (1<<2)) goto KEY209;
	local[8]= makeflt(9.9999999999999977795540e-02);
	local[9]= local[1];
	ctx->vsp=local+10;
	w=(pointer)SCALEVEC(ctx,2,local+8); /*scale*/
	local[2] = w;
KEY209:
	if (n & (1<<3)) goto KEY210;
	local[8]= makeflt(1.0000000000000000000000e+00);
	local[9]= local[1];
	ctx->vsp=local+10;
	w=(pointer)SCALEVEC(ctx,2,local+8); /*scale*/
	local[3] = w;
KEY210:
	if (n & (1<<4)) goto KEY211;
	local[8]= makeflt(1.9999999999999995559108e-01);
	local[9]= local[3];
	ctx->vsp=local+10;
	w=(pointer)SCALEVEC(ctx,2,local+8); /*scale*/
	local[4] = w;
KEY211:
	if (n & (1<<5)) goto KEY212;
	local[8]= makeflt(9.9999999999999977795540e-02);
	local[9]= local[3];
	ctx->vsp=local+10;
	w=(pointer)SCALEVEC(ctx,2,local+8); /*scale*/
	local[5] = w;
KEY212:
	if (n & (1<<6)) goto KEY213;
	local[6] = makeflt(2.0000000000000000000000e+01);
KEY213:
	if (n & (1<<7)) goto KEY214;
	local[7] = makeflt(0.0000000000000000000000e+00);
KEY214:
	if (local[0]==NIL) goto IF215;
	local[8]= argv[0];
	local[9]= fqv[1];
	local[10]= local[0];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,3,local+8); /*send*/
	local[8]= w;
	goto IF216;
IF215:
	local[8]= NIL;
IF216:
	local[8]= local[2];
	ctx->vsp=local+9;
	w=(pointer)COPYSEQ(ctx,1,local+8); /*copy-seq*/
	argv[0]->c.obj.iv[2] = w;
	local[8]= local[3];
	ctx->vsp=local+9;
	w=(pointer)COPYSEQ(ctx,1,local+8); /*copy-seq*/
	argv[0]->c.obj.iv[3] = w;
	local[8]= local[4];
	ctx->vsp=local+9;
	w=(pointer)COPYSEQ(ctx,1,local+8); /*copy-seq*/
	argv[0]->c.obj.iv[4] = w;
	local[8]= local[5];
	ctx->vsp=local+9;
	w=(pointer)COPYSEQ(ctx,1,local+8); /*copy-seq*/
	argv[0]->c.obj.iv[5] = w;
	argv[0]->c.obj.iv[6] = local[6];
	argv[0]->c.obj.iv[7] = local[7];
	w = argv[0];
	local[0]= w;
BLK206:
	ctx->vsp=local; return(local[0]);}

/*:ambient*/
static pointer M217colormaterial_ambient(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT223;}
	local[0]= NIL;
ENT223:
	if (n>=4) { local[1]=(argv[3]); goto ENT222;}
	local[1]= local[0];
ENT222:
	if (n>=5) { local[2]=(argv[4]); goto ENT221;}
	local[2]= local[0];
ENT221:
	if (n>=6) { local[3]=(argv[5]); goto ENT220;}
	local[3]= makeint((eusinteger_t)1L);
ENT220:
ENT219:
	if (n>6) maerror();
	if (local[0]!=NIL) goto CON225;
	local[4]= argv[0]->c.obj.iv[2];
	goto CON224;
CON225:
	w = local[0];
	if (!isnum(w)) goto CON226;
	local[4]= local[0];
	local[5]= local[1];
	local[6]= local[2];
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	argv[0]->c.obj.iv[2] = w;
	local[4]= argv[0]->c.obj.iv[2];
	goto CON224;
CON226:
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(*ftab[0])(ctx,1,local+4,&ftab[0],fqv[2]); /*float-vector-p*/
	if (w==NIL) goto CON227;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)COPYSEQ(ctx,1,local+4); /*copy-seq*/
	argv[0]->c.obj.iv[2] = w;
	local[4]= argv[0]->c.obj.iv[2];
	goto CON224;
CON227:
	local[4]= fqv[3];
	ctx->vsp=local+5;
	w=(pointer)SIGERROR(ctx,1,local+4); /*error*/
	local[4]= w;
	goto CON224;
CON228:
	local[4]= NIL;
CON224:
	w = local[4];
	local[0]= w;
BLK218:
	ctx->vsp=local; return(local[0]);}

/*:diffuse*/
static pointer M229colormaterial_diffuse(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT235;}
	local[0]= NIL;
ENT235:
	if (n>=4) { local[1]=(argv[3]); goto ENT234;}
	local[1]= local[0];
ENT234:
	if (n>=5) { local[2]=(argv[4]); goto ENT233;}
	local[2]= local[0];
ENT233:
	if (n>=6) { local[3]=(argv[5]); goto ENT232;}
	local[3]= makeint((eusinteger_t)1L);
ENT232:
ENT231:
	if (n>6) maerror();
	if (local[0]!=NIL) goto CON237;
	local[4]= argv[0]->c.obj.iv[3];
	goto CON236;
CON237:
	w = local[0];
	if (!isnum(w)) goto CON238;
	local[4]= local[0];
	local[5]= local[1];
	local[6]= local[2];
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	argv[0]->c.obj.iv[3] = w;
	local[4]= argv[0]->c.obj.iv[3];
	goto CON236;
CON238:
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(*ftab[0])(ctx,1,local+4,&ftab[0],fqv[2]); /*float-vector-p*/
	if (w==NIL) goto CON239;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)COPYSEQ(ctx,1,local+4); /*copy-seq*/
	argv[0]->c.obj.iv[3] = w;
	local[4]= argv[0]->c.obj.iv[3];
	goto CON236;
CON239:
	local[4]= fqv[4];
	ctx->vsp=local+5;
	w=(pointer)SIGERROR(ctx,1,local+4); /*error*/
	local[4]= w;
	goto CON236;
CON240:
	local[4]= NIL;
CON236:
	w = local[4];
	local[0]= w;
BLK230:
	ctx->vsp=local; return(local[0]);}

/*:specular*/
static pointer M241colormaterial_specular(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT247;}
	local[0]= NIL;
ENT247:
	if (n>=4) { local[1]=(argv[3]); goto ENT246;}
	local[1]= local[0];
ENT246:
	if (n>=5) { local[2]=(argv[4]); goto ENT245;}
	local[2]= local[0];
ENT245:
	if (n>=6) { local[3]=(argv[5]); goto ENT244;}
	local[3]= makeint((eusinteger_t)1L);
ENT244:
ENT243:
	if (n>6) maerror();
	if (local[0]!=NIL) goto CON249;
	local[4]= argv[0]->c.obj.iv[4];
	goto CON248;
CON249:
	w = local[0];
	if (!isnum(w)) goto CON250;
	local[4]= local[0];
	local[5]= local[1];
	local[6]= local[2];
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	argv[0]->c.obj.iv[4] = w;
	local[4]= argv[0]->c.obj.iv[4];
	goto CON248;
CON250:
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(*ftab[0])(ctx,1,local+4,&ftab[0],fqv[2]); /*float-vector-p*/
	if (w==NIL) goto CON251;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)COPYSEQ(ctx,1,local+4); /*copy-seq*/
	argv[0]->c.obj.iv[4] = w;
	local[4]= argv[0]->c.obj.iv[4];
	goto CON248;
CON251:
	local[4]= fqv[5];
	ctx->vsp=local+5;
	w=(pointer)SIGERROR(ctx,1,local+4); /*error*/
	local[4]= w;
	goto CON248;
CON252:
	local[4]= NIL;
CON248:
	w = local[4];
	local[0]= w;
BLK242:
	ctx->vsp=local; return(local[0]);}

/*:emission*/
static pointer M253colormaterial_emission(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT259;}
	local[0]= NIL;
ENT259:
	if (n>=4) { local[1]=(argv[3]); goto ENT258;}
	local[1]= local[0];
ENT258:
	if (n>=5) { local[2]=(argv[4]); goto ENT257;}
	local[2]= local[0];
ENT257:
	if (n>=6) { local[3]=(argv[5]); goto ENT256;}
	local[3]= makeint((eusinteger_t)1L);
ENT256:
ENT255:
	if (n>6) maerror();
	if (local[0]!=NIL) goto CON261;
	local[4]= argv[0]->c.obj.iv[5];
	goto CON260;
CON261:
	w = local[0];
	if (!isnum(w)) goto CON262;
	local[4]= local[0];
	local[5]= local[1];
	local[6]= local[2];
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	argv[0]->c.obj.iv[5] = w;
	local[4]= argv[0]->c.obj.iv[5];
	goto CON260;
CON262:
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(*ftab[0])(ctx,1,local+4,&ftab[0],fqv[2]); /*float-vector-p*/
	if (w==NIL) goto CON263;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)COPYSEQ(ctx,1,local+4); /*copy-seq*/
	argv[0]->c.obj.iv[5] = w;
	local[4]= argv[0]->c.obj.iv[5];
	goto CON260;
CON263:
	local[4]= fqv[6];
	ctx->vsp=local+5;
	w=(pointer)SIGERROR(ctx,1,local+4); /*error*/
	local[4]= w;
	goto CON260;
CON264:
	local[4]= NIL;
CON260:
	w = local[4];
	local[0]= w;
BLK254:
	ctx->vsp=local; return(local[0]);}

/*:shininess*/
static pointer M265colormaterial_shininess(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT268;}
	local[0]= NIL;
ENT268:
ENT267:
	if (n>3) maerror();
	if (local[0]!=NIL) goto CON270;
	local[1]= argv[0]->c.obj.iv[6];
	goto CON269;
CON270:
	w = local[0];
	if (!isnum(w)) goto CON271;
	argv[0]->c.obj.iv[6] = local[0];
	local[1]= argv[0]->c.obj.iv[6];
	goto CON269;
CON271:
	local[1]= fqv[7];
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,1,local+1); /*error*/
	local[1]= w;
	goto CON269;
CON272:
	local[1]= NIL;
CON269:
	w = local[1];
	local[0]= w;
BLK266:
	ctx->vsp=local; return(local[0]);}

/*:transparency*/
static pointer M273colormaterial_transparency(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT276;}
	local[0]= NIL;
ENT276:
ENT275:
	if (n>3) maerror();
	if (local[0]!=NIL) goto CON278;
	local[1]= argv[0]->c.obj.iv[7];
	goto CON277;
CON278:
	w = local[0];
	if (!isnum(w)) goto CON279;
	argv[0]->c.obj.iv[7] = local[0];
	local[1]= argv[0]->c.obj.iv[7];
	goto CON277;
CON279:
	local[1]= fqv[8];
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,1,local+1); /*error*/
	local[1]= w;
	goto CON277;
CON280:
	local[1]= NIL;
CON277:
	w = local[1];
	local[0]= w;
BLK274:
	ctx->vsp=local; return(local[0]);}

/*:opengl*/
static pointer M281colormaterial_opengl(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= makeint((eusinteger_t)1032L);
	local[1]= makeint((eusinteger_t)4608L);
	local[2]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+3;
	w=(*ftab[1])(ctx,3,local+0,&ftab[1],fqv[9]); /*glmaterialfv*/
	local[0]= makeint((eusinteger_t)1032L);
	local[1]= makeint((eusinteger_t)4609L);
	local[2]= argv[0]->c.obj.iv[3];
	ctx->vsp=local+3;
	w=(*ftab[1])(ctx,3,local+0,&ftab[1],fqv[9]); /*glmaterialfv*/
	local[0]= makeint((eusinteger_t)1032L);
	local[1]= makeint((eusinteger_t)4610L);
	local[2]= argv[0]->c.obj.iv[4];
	ctx->vsp=local+3;
	w=(*ftab[1])(ctx,3,local+0,&ftab[1],fqv[9]); /*glmaterialfv*/
	local[0]= makeint((eusinteger_t)1032L);
	local[1]= makeint((eusinteger_t)5632L);
	local[2]= argv[0]->c.obj.iv[5];
	ctx->vsp=local+3;
	w=(*ftab[1])(ctx,3,local+0,&ftab[1],fqv[9]); /*glmaterialfv*/
	local[0]= makeint((eusinteger_t)1032L);
	local[1]= makeint((eusinteger_t)5633L);
	local[2]= argv[0]->c.obj.iv[6];
	ctx->vsp=local+3;
	w=(pointer)MKFLTVEC(ctx,1,local+2); /*float-vector*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(*ftab[1])(ctx,3,local+0,&ftab[1],fqv[9]); /*glmaterialfv*/
	local[0]= w;
BLK282:
	ctx->vsp=local; return(local[0]);}

/*:create*/
static pointer M283lightsource_create(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<3) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[10], &argv[3], n-3, local+0, 0);
	if (n & (1<<0)) goto KEY285;
	local[4]= makeflt(5.0000000000000000000000e-01);
	local[5]= makeflt(5.0000000000000000000000e-01);
	local[6]= makeflt(5.0000000000000000000000e-01);
	local[7]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	local[0] = w;
KEY285:
	if (n & (1<<1)) goto KEY286;
	local[4]= makeflt(7.9999999999999982236432e-01);
	local[5]= makeflt(7.9999999999999982236432e-01);
	local[6]= makeflt(7.9999999999999982236432e-01);
	local[7]= makeflt(7.9999999999999982236432e-01);
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	local[1] = w;
KEY286:
	if (n & (1<<2)) goto KEY287;
	local[4]= makeflt(6.9999999999999973354647e-01);
	local[5]= makeflt(6.9999999999999973354647e-01);
	local[6]= makeflt(6.9999999999999973354647e-01);
	local[7]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	local[2] = w;
KEY287:
	if (n & (1<<3)) goto KEY288;
	local[4]= makeflt(1.0000000000000000000000e+03);
	local[5]= makeflt(2.0000000000000000000000e+03);
	local[6]= makeflt(1.0000000000000000000000e+05);
	local[7]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	local[3] = w;
KEY288:
	argv[0]->c.obj.iv[1] = argv[2];
	argv[0]->c.obj.iv[2] = local[0];
	argv[0]->c.obj.iv[3] = local[1];
	argv[0]->c.obj.iv[4] = local[2];
	argv[0]->c.obj.iv[5] = local[3];
	w = argv[0];
	local[0]= w;
BLK284:
	ctx->vsp=local; return(local[0]);}

/*:light-id*/
static pointer M289lightsource_light_id(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= makeint((eusinteger_t)16384L);
	local[1]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+2;
	w=(pointer)PLUS(ctx,2,local+0); /*+*/
	local[0]= w;
BLK290:
	ctx->vsp=local; return(local[0]);}

/*:ambient*/
static pointer M291lightsource_ambient(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT297;}
	local[0]= NIL;
ENT297:
	if (n>=4) { local[1]=(argv[3]); goto ENT296;}
	local[1]= local[0];
ENT296:
	if (n>=5) { local[2]=(argv[4]); goto ENT295;}
	local[2]= local[0];
ENT295:
	if (n>=6) { local[3]=(argv[5]); goto ENT294;}
	local[3]= makeint((eusinteger_t)1L);
ENT294:
ENT293:
	if (n>6) maerror();
	if (local[0]!=NIL) goto CON299;
	local[4]= argv[0]->c.obj.iv[2];
	goto CON298;
CON299:
	w = local[0];
	if (!isnum(w)) goto CON300;
	local[4]= local[0];
	local[5]= local[1];
	local[6]= local[2];
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	argv[0]->c.obj.iv[2] = w;
	local[4]= argv[0]->c.obj.iv[2];
	goto CON298;
CON300:
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(*ftab[0])(ctx,1,local+4,&ftab[0],fqv[2]); /*float-vector-p*/
	if (w==NIL) goto CON301;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)COPYSEQ(ctx,1,local+4); /*copy-seq*/
	argv[0]->c.obj.iv[2] = w;
	local[4]= argv[0]->c.obj.iv[2];
	goto CON298;
CON301:
	local[4]= fqv[11];
	ctx->vsp=local+5;
	w=(pointer)SIGERROR(ctx,1,local+4); /*error*/
	local[4]= w;
	goto CON298;
CON302:
	local[4]= NIL;
CON298:
	w = local[4];
	local[0]= w;
BLK292:
	ctx->vsp=local; return(local[0]);}

/*:diffuse*/
static pointer M303lightsource_diffuse(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT309;}
	local[0]= NIL;
ENT309:
	if (n>=4) { local[1]=(argv[3]); goto ENT308;}
	local[1]= local[0];
ENT308:
	if (n>=5) { local[2]=(argv[4]); goto ENT307;}
	local[2]= local[0];
ENT307:
	if (n>=6) { local[3]=(argv[5]); goto ENT306;}
	local[3]= makeint((eusinteger_t)1L);
ENT306:
ENT305:
	if (n>6) maerror();
	if (local[0]!=NIL) goto CON311;
	local[4]= argv[0]->c.obj.iv[3];
	goto CON310;
CON311:
	w = local[0];
	if (!isnum(w)) goto CON312;
	local[4]= local[0];
	local[5]= local[1];
	local[6]= local[2];
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	argv[0]->c.obj.iv[3] = w;
	local[4]= argv[0]->c.obj.iv[3];
	goto CON310;
CON312:
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(*ftab[0])(ctx,1,local+4,&ftab[0],fqv[2]); /*float-vector-p*/
	if (w==NIL) goto CON313;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)COPYSEQ(ctx,1,local+4); /*copy-seq*/
	argv[0]->c.obj.iv[3] = w;
	local[4]= argv[0]->c.obj.iv[3];
	goto CON310;
CON313:
	local[4]= fqv[12];
	ctx->vsp=local+5;
	w=(pointer)SIGERROR(ctx,1,local+4); /*error*/
	local[4]= w;
	goto CON310;
CON314:
	local[4]= NIL;
CON310:
	w = local[4];
	local[0]= w;
BLK304:
	ctx->vsp=local; return(local[0]);}

/*:specular*/
static pointer M315lightsource_specular(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT321;}
	local[0]= NIL;
ENT321:
	if (n>=4) { local[1]=(argv[3]); goto ENT320;}
	local[1]= local[0];
ENT320:
	if (n>=5) { local[2]=(argv[4]); goto ENT319;}
	local[2]= local[0];
ENT319:
	if (n>=6) { local[3]=(argv[5]); goto ENT318;}
	local[3]= makeint((eusinteger_t)1L);
ENT318:
ENT317:
	if (n>6) maerror();
	if (local[0]!=NIL) goto CON323;
	local[4]= argv[0]->c.obj.iv[4];
	goto CON322;
CON323:
	w = local[0];
	if (!isnum(w)) goto CON324;
	local[4]= local[0];
	local[5]= local[1];
	local[6]= local[2];
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	argv[0]->c.obj.iv[4] = w;
	local[4]= argv[0]->c.obj.iv[4];
	goto CON322;
CON324:
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(*ftab[0])(ctx,1,local+4,&ftab[0],fqv[2]); /*float-vector-p*/
	if (w==NIL) goto CON325;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)COPYSEQ(ctx,1,local+4); /*copy-seq*/
	argv[0]->c.obj.iv[4] = w;
	local[4]= argv[0]->c.obj.iv[4];
	goto CON322;
CON325:
	local[4]= fqv[13];
	ctx->vsp=local+5;
	w=(pointer)SIGERROR(ctx,1,local+4); /*error*/
	local[4]= w;
	goto CON322;
CON326:
	local[4]= NIL;
CON322:
	w = local[4];
	local[0]= w;
BLK316:
	ctx->vsp=local; return(local[0]);}

/*:position*/
static pointer M327lightsource_position(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT330;}
	local[0]= NIL;
ENT330:
ENT329:
	if (n>3) maerror();
	if (local[0]!=NIL) goto CON332;
	local[1]= argv[0]->c.obj.iv[5];
	goto CON331;
CON332:
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(*ftab[0])(ctx,1,local+1,&ftab[0],fqv[2]); /*float-vector-p*/
	if (w==NIL) goto CON333;
	argv[0]->c.obj.iv[5] = local[0];
	local[1]= argv[0]->c.obj.iv[5];
	goto CON331;
CON333:
	local[1]= NIL;
CON331:
	w = local[1];
	local[0]= w;
BLK328:
	ctx->vsp=local; return(local[0]);}

/*:move*/
static pointer M334lightsource_move(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= argv[2];
	local[2]= argv[0]->c.obj.iv[5];
	ctx->vsp=local+3;
	w=(pointer)VPLUS(ctx,3,local+0); /*v+*/
	local[0]= w;
BLK335:
	ctx->vsp=local; return(local[0]);}

/*:enable*/
static pointer M336lightsource_enable(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= fqv[14];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[2])(ctx,1,local+0,&ftab[2],fqv[15]); /*glenable*/
	local[0]= w;
BLK337:
	ctx->vsp=local; return(local[0]);}

/*:disable*/
static pointer M338lightsource_disable(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= fqv[14];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[3])(ctx,1,local+0,&ftab[3],fqv[16]); /*gldisable*/
	local[0]= w;
BLK339:
	ctx->vsp=local; return(local[0]);}

/*:opengl*/
static pointer M340lightsource_opengl(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= makeint((eusinteger_t)16384L);
	local[1]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+2;
	w=(pointer)PLUS(ctx,2,local+0); /*+*/
	local[0]= w;
	local[1]= local[0];
	local[2]= makeint((eusinteger_t)4608L);
	local[3]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= local[0];
	local[2]= makeint((eusinteger_t)4609L);
	local[3]= argv[0]->c.obj.iv[3];
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= local[0];
	local[2]= makeint((eusinteger_t)4610L);
	local[3]= argv[0]->c.obj.iv[4];
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= local[0];
	local[2]= makeint((eusinteger_t)4611L);
	local[3]= argv[0]->c.obj.iv[5];
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(*ftab[2])(ctx,1,local+1,&ftab[2],fqv[15]); /*glenable*/
	w = argv[0]->c.obj.iv[1];
	local[0]= w;
BLK341:
	ctx->vsp=local; return(local[0]);}

/*:create*/
static pointer M342glviewsurface_create(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
RST344:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-2);
	ctx->vsp=local+1;
	n=parsekeyparams(fqv[18], &argv[2], n-2, local+1, 1);
	if (n & (1<<0)) goto KEY345;
	local[1] = makeint((eusinteger_t)0L);
KEY345:
	if (n & (1<<1)) goto KEY346;
	local[2] = makeint((eusinteger_t)0L);
KEY346:
	if (n & (1<<2)) goto KEY347;
	local[3] = makeint((eusinteger_t)256L);
KEY347:
	if (n & (1<<3)) goto KEY348;
	local[4] = local[3];
KEY348:
	if (n & (1<<4)) goto KEY349;
	local[5] = local[3];
KEY349:
	if (n & (1<<5)) goto KEY350;
	local[6] = makeint((eusinteger_t)0L);
KEY350:
	if (n & (1<<6)) goto KEY351;
	local[8]= fqv[19];
	ctx->vsp=local+9;
	w=(pointer)GENSYM(ctx,1,local+8); /*gensym*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(*ftab[5])(ctx,1,local+8,&ftab[5],fqv[20]); /*string*/
	local[7] = w;
KEY351:
	local[8]= argv[0];
	local[9]= fqv[21];
	local[10]= local[1];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,3,local+8); /*send*/
	local[8]= argv[0];
	local[9]= fqv[22];
	local[10]= local[2];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,3,local+8); /*send*/
	local[8]= argv[0];
	local[9]= fqv[23];
	local[10]= local[4];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,3,local+8); /*send*/
	local[8]= argv[0];
	local[9]= fqv[24];
	local[10]= local[5];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,3,local+8); /*send*/
	local[8]= loadglobal(fqv[25]);
	local[9]= loadglobal(fqv[25]);
	ctx->vsp=local+10;
	w=(*ftab[6])(ctx,1,local+9,&ftab[6],fqv[26]); /*x:defaultscreen*/
	local[9]= w;
	local[10]= loadglobal(fqv[27]);
	ctx->vsp=local+11;
	w=(*ftab[7])(ctx,3,local+8,&ftab[7],fqv[28]); /*glxchoosevisual*/
	argv[0]->c.obj.iv[14] = w;
	local[8]= loadglobal(fqv[25]);
	local[9]= argv[0]->c.obj.iv[14];
	local[10]= local[6];
	local[11]= makeint((eusinteger_t)1L);
	ctx->vsp=local+12;
	w=(*ftab[8])(ctx,4,local+8,&ftab[8],fqv[29]); /*glxcreatecontext*/
	argv[0]->c.obj.iv[15] = w;
	local[8]= (pointer)get_sym_func(fqv[30]);
	local[9]= argv[0];
	local[10]= *(ovafptr(argv[1],fqv[31]));
	local[11]= fqv[32];
	local[12]= fqv[33];
	local[13]= argv[0]->c.obj.iv[14];
	local[14]= makeint((eusinteger_t)20L);
	ctx->vsp=local+15;
	w=(pointer)PLUS(ctx,2,local+13); /*+*/
	local[13]= w;
	local[14]= fqv[34];
	ctx->vsp=local+15;
	w=(pointer)PEEK(ctx,2,local+13); /*system:peek*/
	local[13]= w;
	local[14]= fqv[35];
	local[15]= argv[0]->c.obj.iv[14];
	local[16]= fqv[36];
	ctx->vsp=local+17;
	w=(pointer)PEEK(ctx,2,local+15); /*system:peek*/
	local[15]= w;
	local[16]= fqv[37];
	local[17]= local[7];
	local[18]= local[0];
	ctx->vsp=local+19;
	w=(pointer)APPLY(ctx,11,local+8); /*apply*/
	local[8]= loadglobal(fqv[25]);
	local[9]= argv[0]->c.obj.iv[2];
	local[10]= argv[0]->c.obj.iv[15];
	ctx->vsp=local+11;
	w=(*ftab[9])(ctx,3,local+8,&ftab[9],fqv[38]); /*glxmakecurrent*/
	local[8]= argv[0];
	local[9]= fqv[39];
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,2,local+8); /*send*/
	local[8]= loadglobal(fqv[40]);
	ctx->vsp=local+9;
	w=(pointer)INSTANTIATE(ctx,1,local+8); /*instantiate*/
	local[8]= w;
	local[9]= local[8];
	local[10]= fqv[32];
	local[11]= makeint((eusinteger_t)0L);
	local[12]= fqv[41];
	local[13]= makeflt(1.9999999999999995559108e-01);
	local[14]= makeflt(1.9999999999999995559108e-01);
	local[15]= makeflt(1.9999999999999995559108e-01);
	local[16]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+17;
	w=(pointer)MKFLTVEC(ctx,4,local+13); /*float-vector*/
	local[13]= w;
	local[14]= fqv[42];
	local[15]= makeflt(5.0000000000000000000000e-01);
	local[16]= makeflt(5.0000000000000000000000e-01);
	local[17]= makeflt(5.0000000000000000000000e-01);
	local[18]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+19;
	w=(pointer)MKFLTVEC(ctx,4,local+15); /*float-vector*/
	local[15]= w;
	local[16]= fqv[43];
	local[17]= makeflt(2.9999999999999982236432e-01);
	local[18]= makeflt(2.9999999999999982236432e-01);
	local[19]= makeflt(2.9999999999999982236432e-01);
	local[20]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+21;
	w=(pointer)MKFLTVEC(ctx,4,local+17); /*float-vector*/
	local[17]= w;
	local[18]= fqv[44];
	local[19]= makeflt(0.0000000000000000000000e+00);
	local[20]= makeflt(0.0000000000000000000000e+00);
	local[21]= makeflt(1.0000000000000000000000e+00);
	local[22]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+23;
	w=(pointer)MKFLTVEC(ctx,4,local+19); /*float-vector*/
	local[19]= w;
	ctx->vsp=local+20;
	w=(pointer)SEND(ctx,11,local+9); /*send*/
	w = local[8];
	local[8]= w;
	storeglobal(fqv[45],w);
	local[8]= loadglobal(fqv[40]);
	ctx->vsp=local+9;
	w=(pointer)INSTANTIATE(ctx,1,local+8); /*instantiate*/
	local[8]= w;
	local[9]= local[8];
	local[10]= fqv[32];
	local[11]= makeint((eusinteger_t)1L);
	local[12]= fqv[41];
	local[13]= makeflt(2.9999999999999982236432e-01);
	local[14]= makeflt(2.9999999999999982236432e-01);
	local[15]= makeflt(2.9999999999999982236432e-01);
	local[16]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+17;
	w=(pointer)MKFLTVEC(ctx,4,local+13); /*float-vector*/
	local[13]= w;
	local[14]= fqv[42];
	local[15]= makeflt(5.9999999999999964472863e-01);
	local[16]= makeflt(9.9999999999999977795540e-02);
	local[17]= makeflt(9.9999999999999977795540e-02);
	local[18]= makeflt(7.9999999999999982236432e-01);
	ctx->vsp=local+19;
	w=(pointer)MKFLTVEC(ctx,4,local+15); /*float-vector*/
	local[15]= w;
	local[16]= fqv[43];
	local[17]= makeflt(2.9999999999999982236432e-01);
	local[18]= makeflt(2.9999999999999982236432e-01);
	local[19]= makeflt(2.9999999999999982236432e-01);
	local[20]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+21;
	w=(pointer)MKFLTVEC(ctx,4,local+17); /*float-vector*/
	local[17]= w;
	local[18]= fqv[44];
	local[19]= makeflt(5.0000000000000000000000e+03);
	local[20]= makeflt(1.0000000000000000000000e+03);
	local[21]= makeflt(7.0000000000000000000000e+03);
	local[22]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+23;
	w=(pointer)MKFLTVEC(ctx,4,local+19); /*float-vector*/
	local[19]= w;
	ctx->vsp=local+20;
	w=(pointer)SEND(ctx,11,local+9); /*send*/
	w = local[8];
	local[8]= w;
	storeglobal(fqv[46],w);
	local[8]= loadglobal(fqv[40]);
	ctx->vsp=local+9;
	w=(pointer)INSTANTIATE(ctx,1,local+8); /*instantiate*/
	local[8]= w;
	local[9]= local[8];
	local[10]= fqv[32];
	local[11]= makeint((eusinteger_t)2L);
	local[12]= fqv[41];
	local[13]= makeflt(2.9999999999999982236432e-01);
	local[14]= makeflt(2.9999999999999982236432e-01);
	local[15]= makeflt(2.9999999999999982236432e-01);
	local[16]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+17;
	w=(pointer)MKFLTVEC(ctx,4,local+13); /*float-vector*/
	local[13]= w;
	local[14]= fqv[42];
	local[15]= makeflt(9.9999999999999977795540e-02);
	local[16]= makeflt(9.9999999999999977795540e-02);
	local[17]= makeflt(6.9999999999999973354647e-01);
	local[18]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+19;
	w=(pointer)MKFLTVEC(ctx,4,local+15); /*float-vector*/
	local[15]= w;
	local[16]= fqv[43];
	local[17]= makeflt(2.9999999999999982236432e-01);
	local[18]= makeflt(2.9999999999999982236432e-01);
	local[19]= makeflt(2.9999999999999982236432e-01);
	local[20]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+21;
	w=(pointer)MKFLTVEC(ctx,4,local+17); /*float-vector*/
	local[17]= w;
	local[18]= fqv[44];
	local[19]= makeflt(-1.5000000000000000000000e+04);
	local[20]= makeflt(0.0000000000000000000000e+00);
	local[21]= makeflt(2.0000000000000000000000e+03);
	local[22]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+23;
	w=(pointer)MKFLTVEC(ctx,4,local+19); /*float-vector*/
	local[19]= w;
	ctx->vsp=local+20;
	w=(pointer)SEND(ctx,11,local+9); /*send*/
	w = local[8];
	local[8]= w;
	storeglobal(fqv[47],w);
	local[8]= makeint((eusinteger_t)2896L);
	ctx->vsp=local+9;
	w=(*ftab[2])(ctx,1,local+8,&ftab[2],fqv[15]); /*glenable*/
	local[8]= loadglobal(fqv[45]);
	local[9]= fqv[48];
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,2,local+8); /*send*/
	local[8]= loadglobal(fqv[46]);
	local[9]= fqv[48];
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,2,local+8); /*send*/
	local[8]= loadglobal(fqv[47]);
	local[9]= fqv[48];
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,2,local+8); /*send*/
	local[8]= makeint((eusinteger_t)2304L);
	ctx->vsp=local+9;
	w=(*ftab[10])(ctx,1,local+8,&ftab[10],fqv[49]); /*glfrontface*/
	local[8]= makeint((eusinteger_t)3456L);
	ctx->vsp=local+9;
	w=(*ftab[2])(ctx,1,local+8,&ftab[2],fqv[15]); /*glenable*/
	local[8]= makeint((eusinteger_t)2977L);
	ctx->vsp=local+9;
	w=(*ftab[2])(ctx,1,local+8,&ftab[2],fqv[15]); /*glenable*/
	local[8]= makeint((eusinteger_t)513L);
	ctx->vsp=local+9;
	w=(*ftab[11])(ctx,1,local+8,&ftab[11],fqv[50]); /*gldepthfunc*/
	local[8]= makeint((eusinteger_t)2929L);
	ctx->vsp=local+9;
	w=(*ftab[2])(ctx,1,local+8,&ftab[2],fqv[15]); /*glenable*/
	local[8]= makeint((eusinteger_t)7425L);
	ctx->vsp=local+9;
	w=(*ftab[12])(ctx,1,local+8,&ftab[12],fqv[51]); /*glshademodel*/
	local[8]= makeint((eusinteger_t)3317L);
	local[9]= makeint((eusinteger_t)1L);
	ctx->vsp=local+10;
	w=(*ftab[13])(ctx,2,local+8,&ftab[13],fqv[52]); /*glpixelstorei*/
	local[8]= makeint((eusinteger_t)3553L);
	local[9]= makeint((eusinteger_t)10242L);
	local[10]= makeint((eusinteger_t)10497L);
	ctx->vsp=local+11;
	w=(*ftab[14])(ctx,3,local+8,&ftab[14],fqv[53]); /*gltexparameteri*/
	local[8]= makeint((eusinteger_t)3553L);
	local[9]= makeint((eusinteger_t)10243L);
	local[10]= makeint((eusinteger_t)10497L);
	ctx->vsp=local+11;
	w=(*ftab[14])(ctx,3,local+8,&ftab[14],fqv[53]); /*gltexparameteri*/
	local[8]= makeint((eusinteger_t)3553L);
	local[9]= makeint((eusinteger_t)10240L);
	local[10]= makeint((eusinteger_t)9728L);
	ctx->vsp=local+11;
	w=(*ftab[14])(ctx,3,local+8,&ftab[14],fqv[53]); /*gltexparameteri*/
	local[8]= makeint((eusinteger_t)3553L);
	local[9]= makeint((eusinteger_t)10241L);
	local[10]= makeint((eusinteger_t)9728L);
	ctx->vsp=local+11;
	w=(*ftab[14])(ctx,3,local+8,&ftab[14],fqv[53]); /*gltexparameteri*/
	local[8]= makeint((eusinteger_t)8960L);
	local[9]= makeint((eusinteger_t)8704L);
	local[10]= makeint((eusinteger_t)8448L);
	ctx->vsp=local+11;
	w=(*ftab[15])(ctx,3,local+8,&ftab[15],fqv[54]); /*gltexenvi*/
	local[8]= makeint((eusinteger_t)16384L);
	w = makeint((eusinteger_t)256L);
	local[8]= (pointer)((eusinteger_t)local[8] | (eusinteger_t)w);
	ctx->vsp=local+9;
	w=(*ftab[16])(ctx,1,local+8,&ftab[16],fqv[55]); /*glclear*/
	local[8]= loadglobal(fqv[25]);
	local[9]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+10;
	w=(*ftab[17])(ctx,2,local+8,&ftab[17],fqv[56]); /*glxswapbuffers*/
	local[8]= makeint((eusinteger_t)16384L);
	w = makeint((eusinteger_t)256L);
	local[8]= (pointer)((eusinteger_t)local[8] | (eusinteger_t)w);
	ctx->vsp=local+9;
	w=(*ftab[16])(ctx,1,local+8,&ftab[16],fqv[55]); /*glclear*/
	local[8]= loadglobal(fqv[25]);
	local[9]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+10;
	w=(*ftab[17])(ctx,2,local+8,&ftab[17],fqv[56]); /*glxswapbuffers*/
	ctx->vsp=local+8;
	w=(*ftab[18])(ctx,0,local+8,&ftab[18],fqv[57]); /*glunewtess*/
	local[8]= w;
	storeglobal(fqv[58],w);
	local[8]= loadglobal(fqv[58]);
	local[9]= makeint((eusinteger_t)100100L);
	local[10]= *(ovafptr((pointer)get_sym_func(fqv[59]),fqv[60]));
	local[11]= *(ovafptr((pointer)get_sym_func(fqv[59]),fqv[61]));
	ctx->vsp=local+12;
	w=(*ftab[19])(ctx,4,local+8,&ftab[19],fqv[62]); /*glutesscallbackl*/
	local[8]= loadglobal(fqv[58]);
	local[9]= makeint((eusinteger_t)100101L);
	local[10]= *(ovafptr((pointer)get_sym_func(fqv[63]),fqv[60]));
	local[11]= *(ovafptr((pointer)get_sym_func(fqv[63]),fqv[61]));
	ctx->vsp=local+12;
	w=(*ftab[19])(ctx,4,local+8,&ftab[19],fqv[62]); /*glutesscallbackl*/
	local[8]= loadglobal(fqv[58]);
	local[9]= makeint((eusinteger_t)100102L);
	local[10]= *(ovafptr((pointer)get_sym_func(fqv[64]),fqv[60]));
	local[11]= *(ovafptr((pointer)get_sym_func(fqv[64]),fqv[61]));
	ctx->vsp=local+12;
	w=(*ftab[19])(ctx,4,local+8,&ftab[19],fqv[62]); /*glutesscallbackl*/
	w = argv[0];
	local[0]= w;
BLK343:
	ctx->vsp=local; return(local[0]);}

/*:material*/
static pointer M355glviewsurface_material(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<3) maerror();
	if (n>=4) { local[0]=(argv[3]); goto ENT361;}
	local[0]= NIL;
ENT361:
	if (n>=5) { local[1]=(argv[4]); goto ENT360;}
	local[1]= NIL;
ENT360:
	if (n>=6) { local[2]=(argv[5]); goto ENT359;}
	local[2]= NIL;
ENT359:
	if (n>=7) { local[3]=(argv[6]); goto ENT358;}
	local[3]= NIL;
ENT358:
ENT357:
	if (n>7) maerror();
	if (local[0]!=NIL) goto IF362;
	local[0] = argv[2]->c.obj.iv[3];
	local[1] = argv[2]->c.obj.iv[4];
	local[2] = argv[2]->c.obj.iv[5];
	local[3] = argv[2]->c.obj.iv[6];
	argv[2] = argv[2]->c.obj.iv[2];
	local[4]= argv[2];
	goto IF363;
IF362:
	local[4]= NIL;
IF363:
	local[4]= makeint((eusinteger_t)1032L);
	local[5]= makeint((eusinteger_t)4608L);
	local[6]= argv[2];
	ctx->vsp=local+7;
	w=(*ftab[1])(ctx,3,local+4,&ftab[1],fqv[9]); /*glmaterialfv*/
	local[4]= makeint((eusinteger_t)1032L);
	local[5]= makeint((eusinteger_t)4609L);
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(*ftab[1])(ctx,3,local+4,&ftab[1],fqv[9]); /*glmaterialfv*/
	local[4]= makeint((eusinteger_t)1032L);
	local[5]= makeint((eusinteger_t)4610L);
	local[6]= local[1];
	ctx->vsp=local+7;
	w=(*ftab[1])(ctx,3,local+4,&ftab[1],fqv[9]); /*glmaterialfv*/
	local[4]= makeint((eusinteger_t)1032L);
	local[5]= makeint((eusinteger_t)5632L);
	local[6]= local[2];
	ctx->vsp=local+7;
	w=(*ftab[1])(ctx,3,local+4,&ftab[1],fqv[9]); /*glmaterialfv*/
	local[4]= makeint((eusinteger_t)1032L);
	local[5]= makeint((eusinteger_t)5633L);
	local[6]= local[3];
	ctx->vsp=local+7;
	w=(pointer)MKFLTVEC(ctx,1,local+6); /*float-vector*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(*ftab[1])(ctx,3,local+4,&ftab[1],fqv[9]); /*glmaterialfv*/
	local[0]= w;
BLK356:
	ctx->vsp=local; return(local[0]);}

/*:color*/
static pointer M364glviewsurface_color(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[2];
	local[1]= loadglobal(fqv[65]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto IF366;
	argv[2] = argv[2]->c.obj.iv[0];
	local[0]= argv[2];
	goto IF367;
IF366:
	local[0]= NIL;
IF367:
	local[0]= argv[2];
	ctx->vsp=local+1;
	w=(pointer)LENGTH(ctx,1,local+0); /*length*/
	local[0]= w;
	local[1]= local[0];
	if (fqv[66]!=local[1]) goto IF369;
	local[1]= argv[2];
	ctx->vsp=local+2;
	w=(*ftab[20])(ctx,1,local+1,&ftab[20],fqv[67]); /*glcolor3fv*/
	local[1]= w;
	goto IF370;
IF369:
	local[1]= local[0];
	if (fqv[68]!=local[1]) goto IF371;
	local[1]= argv[2];
	ctx->vsp=local+2;
	w=(*ftab[21])(ctx,1,local+1,&ftab[21],fqv[69]); /*glcolor4fv*/
	local[1]= w;
	goto IF372;
IF371:
	if (T==NIL) goto IF373;
	local[1]= fqv[70];
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,1,local+1); /*error*/
	local[1]= w;
	goto IF374;
IF373:
	local[1]= NIL;
IF374:
IF372:
IF370:
	w = local[1];
	local[0]= w;
BLK365:
	ctx->vsp=local; return(local[0]);}

/*:window*/
static pointer M375glviewsurface_window(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	w = argv[0]->c.obj.iv[2];
	local[0]= w;
BLK376:
	ctx->vsp=local; return(local[0]);}

/*:3d-mode*/
static pointer M377glviewsurface_3d_mode(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[5];
	local[1]= argv[0]->c.obj.iv[6];
	ctx->vsp=local+2;
	w=(pointer)GREATERP(ctx,2,local+0); /*>*/
	if (w==NIL) goto IF379;
	local[0]= makeint((eusinteger_t)0L);
	local[1]= argv[0]->c.obj.iv[5];
	local[2]= argv[0]->c.obj.iv[6];
	ctx->vsp=local+3;
	w=(pointer)MINUS(ctx,2,local+1); /*-*/
	local[1]= w;
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)QUOTIENT(ctx,2,local+1); /*/*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)MINUS(ctx,1,local+1); /*-*/
	local[1]= w;
	local[2]= argv[0]->c.obj.iv[5];
	local[3]= makeint((eusinteger_t)1L);
	ctx->vsp=local+4;
	w=(pointer)MINUS(ctx,2,local+2); /*-*/
	local[2]= w;
	local[3]= argv[0]->c.obj.iv[5];
	local[4]= makeint((eusinteger_t)1L);
	ctx->vsp=local+5;
	w=(pointer)MINUS(ctx,2,local+3); /*-*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[22])(ctx,4,local+0,&ftab[22],fqv[71]); /*glviewport*/
	local[0]= w;
	goto IF380;
IF379:
	local[0]= argv[0]->c.obj.iv[6];
	local[1]= argv[0]->c.obj.iv[5];
	ctx->vsp=local+2;
	w=(pointer)MINUS(ctx,2,local+0); /*-*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)2L);
	ctx->vsp=local+2;
	w=(pointer)QUOTIENT(ctx,2,local+0); /*/*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(pointer)MINUS(ctx,1,local+0); /*-*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)0L);
	local[2]= argv[0]->c.obj.iv[6];
	local[3]= makeint((eusinteger_t)1L);
	ctx->vsp=local+4;
	w=(pointer)MINUS(ctx,2,local+2); /*-*/
	local[2]= w;
	local[3]= argv[0]->c.obj.iv[6];
	local[4]= makeint((eusinteger_t)1L);
	ctx->vsp=local+5;
	w=(pointer)MINUS(ctx,2,local+3); /*-*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[22])(ctx,4,local+0,&ftab[22],fqv[71]); /*glviewport*/
	local[0]= w;
IF380:
	local[0]= makeint((eusinteger_t)5889L);
	ctx->vsp=local+1;
	w=(*ftab[23])(ctx,1,local+0,&ftab[23],fqv[72]); /*glmatrixmode*/
	ctx->vsp=local+0;
	w=(*ftab[24])(ctx,0,local+0,&ftab[24],fqv[73]); /*glloadidentity*/
	local[0]= makeint((eusinteger_t)2929L);
	ctx->vsp=local+1;
	w=(*ftab[2])(ctx,1,local+0,&ftab[2],fqv[15]); /*glenable*/
	local[0]= makeint((eusinteger_t)2896L);
	ctx->vsp=local+1;
	w=(*ftab[2])(ctx,1,local+0,&ftab[2],fqv[15]); /*glenable*/
	local[0]= makeint((eusinteger_t)5888L);
	ctx->vsp=local+1;
	w=(*ftab[23])(ctx,1,local+0,&ftab[23],fqv[72]); /*glmatrixmode*/
	ctx->vsp=local+0;
	w=(*ftab[24])(ctx,0,local+0,&ftab[24],fqv[73]); /*glloadidentity*/
	local[0]= w;
BLK378:
	ctx->vsp=local; return(local[0]);}

/*:2d-mode*/
static pointer M381glviewsurface_2d_mode(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= makeint((eusinteger_t)0L);
	local[1]= makeint((eusinteger_t)0L);
	local[2]= argv[0]->c.obj.iv[5];
	local[3]= argv[0]->c.obj.iv[6];
	ctx->vsp=local+4;
	w=(*ftab[22])(ctx,4,local+0,&ftab[22],fqv[71]); /*glviewport*/
	local[0]= makeint((eusinteger_t)5889L);
	ctx->vsp=local+1;
	w=(*ftab[23])(ctx,1,local+0,&ftab[23],fqv[72]); /*glmatrixmode*/
	ctx->vsp=local+0;
	w=(*ftab[24])(ctx,0,local+0,&ftab[24],fqv[73]); /*glloadidentity*/
	local[0]= makeint((eusinteger_t)0L);
	local[1]= argv[0]->c.obj.iv[5];
	local[2]= makeint((eusinteger_t)0L);
	local[3]= argv[0]->c.obj.iv[6];
	local[4]= makeflt(-1.0000000000000000000000e+00);
	local[5]= makeflt(1.0000000000000000000000e+00);
	ctx->vsp=local+6;
	w=(pointer)MKFLTVEC(ctx,6,local+0); /*float-vector*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[25])(ctx,1,local+0,&ftab[25],fqv[74]); /*glorthofv*/
	local[0]= makeint((eusinteger_t)2929L);
	ctx->vsp=local+1;
	w=(*ftab[3])(ctx,1,local+0,&ftab[3],fqv[16]); /*gldisable*/
	local[0]= makeint((eusinteger_t)2896L);
	ctx->vsp=local+1;
	w=(*ftab[3])(ctx,1,local+0,&ftab[3],fqv[16]); /*gldisable*/
	local[0]= makeint((eusinteger_t)5888L);
	ctx->vsp=local+1;
	w=(*ftab[23])(ctx,1,local+0,&ftab[23],fqv[72]); /*glmatrixmode*/
	ctx->vsp=local+0;
	w=(*ftab[24])(ctx,0,local+0,&ftab[24],fqv[73]); /*glloadidentity*/
	local[0]= w;
BLK382:
	ctx->vsp=local; return(local[0]);}

/*:height*/
static pointer M383glviewsurface_height(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT386;}
	local[0]= NIL;
ENT386:
ENT385:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF387;
	argv[0]->c.obj.iv[6] = local[0];
	local[1]= argv[0]->c.obj.iv[6];
	goto IF388;
IF387:
	local[1]= NIL;
IF388:
	w = argv[0]->c.obj.iv[6];
	local[0]= w;
BLK384:
	ctx->vsp=local; return(local[0]);}

/*:width*/
static pointer M389glviewsurface_width(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT392;}
	local[0]= NIL;
ENT392:
ENT391:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF393;
	argv[0]->c.obj.iv[5] = local[0];
	local[1]= argv[0]->c.obj.iv[5];
	goto IF394;
IF393:
	local[1]= NIL;
IF394:
	w = argv[0]->c.obj.iv[5];
	local[0]= w;
BLK390:
	ctx->vsp=local; return(local[0]);}

/*:pos*/
static pointer M395glviewsurface_pos(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0]->c.obj.iv[12];
	local[1]= argv[0]->c.obj.iv[13];
	ctx->vsp=local+2;
	w=(pointer)MKINTVECTOR(ctx,2,local+0); /*integer-vector*/
	local[0]= w;
BLK396:
	ctx->vsp=local; return(local[0]);}

/*:x*/
static pointer M397glviewsurface_x(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT400;}
	local[0]= NIL;
ENT400:
ENT399:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF401;
	argv[0]->c.obj.iv[12] = local[0];
	local[1]= argv[0]->c.obj.iv[12];
	goto IF402;
IF401:
	local[1]= NIL;
IF402:
	w = argv[0]->c.obj.iv[12];
	local[0]= w;
BLK398:
	ctx->vsp=local; return(local[0]);}

/*:y*/
static pointer M403glviewsurface_y(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT406;}
	local[0]= NIL;
ENT406:
ENT405:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF407;
	argv[0]->c.obj.iv[13] = local[0];
	local[1]= argv[0]->c.obj.iv[13];
	goto IF408;
IF407:
	local[1]= NIL;
IF408:
	w = argv[0]->c.obj.iv[13];
	local[0]= w;
BLK404:
	ctx->vsp=local; return(local[0]);}

/*:clear*/
static pointer M409glviewsurface_clear(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= makeint((eusinteger_t)16384L);
	w = makeint((eusinteger_t)256L);
	local[0]= (pointer)((eusinteger_t)local[0] | (eusinteger_t)w);
	ctx->vsp=local+1;
	w=(*ftab[16])(ctx,1,local+0,&ftab[16],fqv[55]); /*glclear*/
	local[0]= w;
BLK410:
	ctx->vsp=local; return(local[0]);}

/*:glflush*/
static pointer M411glviewsurface_glflush(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	ctx->vsp=local+0;
	w=(*ftab[26])(ctx,0,local+0,&ftab[26],fqv[75]); /*glflush*/
	local[0]= loadglobal(fqv[25]);
	local[1]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+2;
	w=(*ftab[17])(ctx,2,local+0,&ftab[17],fqv[56]); /*glxswapbuffers*/
	local[0]= w;
BLK412:
	ctx->vsp=local; return(local[0]);}

/*:point*/
static pointer M413glviewsurface_point(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=4) maerror();
	local[0]= argv[0];
	local[1]= fqv[76];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= makeint((eusinteger_t)0L);
	ctx->vsp=local+1;
	w=(*ftab[27])(ctx,1,local+0,&ftab[27],fqv[59]); /*glbegin*/
	local[0]= argv[2];
	local[1]= argv[0]->c.obj.iv[6];
	local[2]= argv[3];
	ctx->vsp=local+3;
	w=(pointer)MINUS(ctx,2,local+1); /*-*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)MKFLTVEC(ctx,2,local+0); /*float-vector*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[28])(ctx,1,local+0,&ftab[28],fqv[77]); /*glvertex2fv*/
	ctx->vsp=local+0;
	w=(*ftab[29])(ctx,0,local+0,&ftab[29],fqv[64]); /*glend*/
	local[0]= argv[0];
	local[1]= fqv[39];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK414:
	ctx->vsp=local; return(local[0]);}

/*:line*/
static pointer M415glviewsurface_line(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=6) maerror();
	local[0]= argv[0];
	local[1]= fqv[76];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= makeint((eusinteger_t)1L);
	ctx->vsp=local+1;
	w=(*ftab[27])(ctx,1,local+0,&ftab[27],fqv[59]); /*glbegin*/
	local[0]= argv[2];
	local[1]= argv[0]->c.obj.iv[6];
	local[2]= argv[3];
	ctx->vsp=local+3;
	w=(pointer)MINUS(ctx,2,local+1); /*-*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)MKFLTVEC(ctx,2,local+0); /*float-vector*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[28])(ctx,1,local+0,&ftab[28],fqv[77]); /*glvertex2fv*/
	local[0]= argv[4];
	local[1]= argv[0]->c.obj.iv[6];
	local[2]= argv[5];
	ctx->vsp=local+3;
	w=(pointer)MINUS(ctx,2,local+1); /*-*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)MKFLTVEC(ctx,2,local+0); /*float-vector*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[28])(ctx,1,local+0,&ftab[28],fqv[77]); /*glvertex2fv*/
	ctx->vsp=local+0;
	w=(*ftab[29])(ctx,0,local+0,&ftab[29],fqv[64]); /*glend*/
	local[0]= argv[0];
	local[1]= fqv[39];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK416:
	ctx->vsp=local; return(local[0]);}

/*:3d-point*/
static pointer M417glviewsurface_3d_point(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= makeint((eusinteger_t)2929L);
	ctx->vsp=local+1;
	w=(*ftab[3])(ctx,1,local+0,&ftab[3],fqv[16]); /*gldisable*/
	local[0]= makeint((eusinteger_t)2896L);
	ctx->vsp=local+1;
	w=(*ftab[3])(ctx,1,local+0,&ftab[3],fqv[16]); /*gldisable*/
	local[0]= makeint((eusinteger_t)0L);
	ctx->vsp=local+1;
	w=(*ftab[27])(ctx,1,local+0,&ftab[27],fqv[59]); /*glbegin*/
	local[0]= argv[2];
	ctx->vsp=local+1;
	w=(*ftab[30])(ctx,1,local+0,&ftab[30],fqv[78]); /*glvertex3fv*/
	ctx->vsp=local+0;
	w=(*ftab[29])(ctx,0,local+0,&ftab[29],fqv[64]); /*glend*/
	local[0]= makeint((eusinteger_t)2929L);
	ctx->vsp=local+1;
	w=(*ftab[2])(ctx,1,local+0,&ftab[2],fqv[15]); /*glenable*/
	local[0]= makeint((eusinteger_t)2896L);
	ctx->vsp=local+1;
	w=(*ftab[2])(ctx,1,local+0,&ftab[2],fqv[15]); /*glenable*/
	local[0]= w;
BLK418:
	ctx->vsp=local; return(local[0]);}

/*:3d-line*/
static pointer M419glviewsurface_3d_line(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=4) maerror();
	local[0]= makeint((eusinteger_t)2896L);
	ctx->vsp=local+1;
	w=(*ftab[3])(ctx,1,local+0,&ftab[3],fqv[16]); /*gldisable*/
	local[0]= makeint((eusinteger_t)1L);
	ctx->vsp=local+1;
	w=(*ftab[27])(ctx,1,local+0,&ftab[27],fqv[59]); /*glbegin*/
	local[0]= argv[2];
	ctx->vsp=local+1;
	w=(*ftab[30])(ctx,1,local+0,&ftab[30],fqv[78]); /*glvertex3fv*/
	local[0]= argv[3];
	ctx->vsp=local+1;
	w=(*ftab[30])(ctx,1,local+0,&ftab[30],fqv[78]); /*glvertex3fv*/
	ctx->vsp=local+0;
	w=(*ftab[29])(ctx,0,local+0,&ftab[29],fqv[64]); /*glend*/
	local[0]= makeint((eusinteger_t)2896L);
	ctx->vsp=local+1;
	w=(*ftab[2])(ctx,1,local+0,&ftab[2],fqv[15]); /*glenable*/
	local[0]= w;
BLK420:
	ctx->vsp=local; return(local[0]);}

/*:draw-faces*/
static pointer M421glviewsurface_draw_faces(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	ctx->vsp=local+0;
	local[0]= makeclosure(codevec,quotevec,CLO423,env,argv,local);
	local[1]= argv[2];
	ctx->vsp=local+2;
	w=(pointer)MAPC(ctx,2,local+0); /*mapc*/
	local[0]= w;
BLK422:
	ctx->vsp=local; return(local[0]);}

/*:rectangle*/
static pointer M424glviewsurface_rectangle(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=6) maerror();
	local[0]= argv[0];
	local[1]= fqv[76];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= makeint((eusinteger_t)9L);
	ctx->vsp=local+1;
	w=(*ftab[27])(ctx,1,local+0,&ftab[27],fqv[59]); /*glbegin*/
	local[0]= argv[2];
	local[1]= argv[3];
	ctx->vsp=local+2;
	w=(pointer)MKFLTVEC(ctx,2,local+0); /*float-vector*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[28])(ctx,1,local+0,&ftab[28],fqv[77]); /*glvertex2fv*/
	local[0]= argv[2];
	local[1]= argv[3];
	local[2]= argv[5];
	ctx->vsp=local+3;
	w=(pointer)PLUS(ctx,2,local+1); /*+*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)MKFLTVEC(ctx,2,local+0); /*float-vector*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[28])(ctx,1,local+0,&ftab[28],fqv[77]); /*glvertex2fv*/
	local[0]= argv[2];
	local[1]= argv[4];
	ctx->vsp=local+2;
	w=(pointer)PLUS(ctx,2,local+0); /*+*/
	local[0]= w;
	local[1]= argv[3];
	local[2]= argv[5];
	ctx->vsp=local+3;
	w=(pointer)PLUS(ctx,2,local+1); /*+*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)MKFLTVEC(ctx,2,local+0); /*float-vector*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[28])(ctx,1,local+0,&ftab[28],fqv[77]); /*glvertex2fv*/
	local[0]= argv[2];
	local[1]= argv[4];
	ctx->vsp=local+2;
	w=(pointer)PLUS(ctx,2,local+0); /*+*/
	local[0]= w;
	local[1]= argv[3];
	ctx->vsp=local+2;
	w=(pointer)MKFLTVEC(ctx,2,local+0); /*float-vector*/
	local[0]= w;
	ctx->vsp=local+1;
	w=(*ftab[28])(ctx,1,local+0,&ftab[28],fqv[77]); /*glvertex2fv*/
	ctx->vsp=local+0;
	w=(*ftab[29])(ctx,0,local+0,&ftab[29],fqv[64]); /*glend*/
	local[0]= argv[0];
	local[1]= fqv[39];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK425:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO423(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= NIL;
	local[2]= NIL;
	ctx->vsp=local+3;
	w=(*ftab[31])(ctx,3,local+0,&ftab[31],fqv[79]); /*draw-face*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*geometry::default-viewsurface*/
static pointer F200geometry__default_viewsurface(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
RST427:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-0);
	local[1]= (pointer)get_sym_func(fqv[80]);
	local[2]= loadglobal(fqv[81]);
	ctx->vsp=local+3;
	w=(pointer)INSTANTIATE(ctx,1,local+2); /*instantiate*/
	local[2]= w;
	local[3]= fqv[32];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)APPLY(ctx,4,local+1); /*apply*/
	local[0]= w;
BLK426:
	ctx->vsp=local; return(local[0]);}

/*:draw-point*/
static pointer M428glviewsurface_draw_point(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0];
	local[1]= fqv[82];
	local[2]= argv[2];
	local[3]= makeint((eusinteger_t)0L);
	ctx->vsp=local+4;
	w=(pointer)ELT(ctx,2,local+2); /*elt*/
	local[2]= w;
	local[3]= argv[2];
	local[4]= makeint((eusinteger_t)1L);
	ctx->vsp=local+5;
	w=(pointer)ELT(ctx,2,local+3); /*elt*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
BLK429:
	ctx->vsp=local; return(local[0]);}

/*:draw-line*/
static pointer M430glviewsurface_draw_line(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=4) maerror();
	local[0]= argv[0];
	local[1]= fqv[83];
	local[2]= argv[2];
	local[3]= makeint((eusinteger_t)0L);
	ctx->vsp=local+4;
	w=(pointer)AREF(ctx,2,local+2); /*aref*/
	local[2]= w;
	local[3]= argv[2];
	local[4]= makeint((eusinteger_t)1L);
	ctx->vsp=local+5;
	w=(pointer)AREF(ctx,2,local+3); /*aref*/
	local[3]= w;
	local[4]= argv[3];
	local[5]= makeint((eusinteger_t)0L);
	ctx->vsp=local+6;
	w=(pointer)AREF(ctx,2,local+4); /*aref*/
	local[4]= w;
	local[5]= argv[3];
	local[6]= makeint((eusinteger_t)1L);
	ctx->vsp=local+7;
	w=(pointer)AREF(ctx,2,local+5); /*aref*/
	local[5]= w;
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,6,local+0); /*send*/
	local[0]= w;
BLK431:
	ctx->vsp=local; return(local[0]);}

/*:draw-rectangle*/
static pointer M432glviewsurface_draw_rectangle(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=5) maerror();
	local[0]= argv[0];
	local[1]= fqv[84];
	local[2]= argv[2];
	local[3]= makeint((eusinteger_t)0L);
	ctx->vsp=local+4;
	w=(pointer)ELT(ctx,2,local+2); /*elt*/
	local[2]= w;
	local[3]= argv[2];
	local[4]= makeint((eusinteger_t)1L);
	ctx->vsp=local+5;
	w=(pointer)ELT(ctx,2,local+3); /*elt*/
	local[3]= w;
	local[4]= argv[3];
	local[5]= argv[4];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,6,local+0); /*send*/
	local[0]= w;
BLK433:
	ctx->vsp=local; return(local[0]);}

/*:draw-one*/
static pointer M434geometry_viewer_draw_one(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=4) maerror();
	w = argv[2];
	if (!isnum(w)) goto CON437;
	local[0]= NIL;
	goto CON436;
CON437:
	local[0]= argv[2];
	ctx->vsp=local+1;
	w=(pointer)LISTP(ctx,1,local+0); /*listp*/
	if (w==NIL) goto CON438;
	w=argv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.car;
	ctx->vsp=local+1;
	w=(*ftab[0])(ctx,1,local+0,&ftab[0],fqv[2]); /*float-vector-p*/
	if (w==NIL) goto CON440;
	w=argv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.car;
	ctx->vsp=local+1;
	w=(pointer)LENGTH(ctx,1,local+0); /*length*/
	local[0]= w;
	local[1]= local[0];
	if (fqv[85]!=local[1]) goto IF442;
	local[1]= argv[0]->c.obj.iv[3];
	local[2]= fqv[83];
	w=argv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	local[4]= makeint((eusinteger_t)0L);
	ctx->vsp=local+5;
	w=(pointer)ELT(ctx,2,local+3); /*elt*/
	local[3]= w;
	w=argv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.car;
	local[5]= makeint((eusinteger_t)1L);
	ctx->vsp=local+6;
	w=(pointer)ELT(ctx,2,local+4); /*elt*/
	local[4]= w;
	w=argv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5]= (w)->c.cons.car;
	local[6]= makeint((eusinteger_t)0L);
	ctx->vsp=local+7;
	w=(pointer)ELT(ctx,2,local+5); /*elt*/
	local[5]= w;
	w=argv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.car;
	local[7]= makeint((eusinteger_t)1L);
	ctx->vsp=local+8;
	w=(pointer)ELT(ctx,2,local+6); /*elt*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(pointer)SEND(ctx,6,local+1); /*send*/
	local[1]= w;
	goto IF443;
IF442:
	local[1]= local[0];
	if (fqv[86]!=local[1]) goto IF444;
	local[1]= argv[0]->c.obj.iv[3];
	local[2]= fqv[87];
	w=argv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	w=argv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.car;
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,4,local+1); /*send*/
	local[1]= w;
	goto IF445;
IF444:
	if (T==NIL) goto IF446;
	local[1]= fqv[88];
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,1,local+1); /*error*/
	local[1]= w;
	goto IF447;
IF446:
	local[1]= NIL;
IF447:
IF445:
IF443:
	w = local[1];
	local[0]= w;
	goto CON439;
CON440:
	local[0]= NIL;
	local[1]= argv[2];
WHL450:
	if (local[1]==NIL) goto WHX451;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1] = (w)->c.cons.cdr;
	w = local[2];
	local[0] = w;
	local[2]= argv[0];
	local[3]= fqv[89];
	local[4]= local[0];
	local[5]= argv[3];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,4,local+2); /*send*/
	goto WHL450;
WHX451:
	local[2]= NIL;
BLK452:
	w = NIL;
	local[0]= w;
	goto CON439;
CON448:
	local[0]= NIL;
CON439:
	goto CON436;
CON438:
	local[0]= argv[2];
	local[1]= fqv[90];
	ctx->vsp=local+2;
	w=(*ftab[32])(ctx,2,local+0,&ftab[32],fqv[91]); /*find-method*/
	if (w==NIL) goto CON454;
	local[0]= argv[2];
	local[1]= fqv[90];
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
	goto CON436;
CON454:
	local[0]= argv[2];
	local[1]= fqv[92];
	ctx->vsp=local+2;
	w=(*ftab[32])(ctx,2,local+0,&ftab[32],fqv[91]); /*find-method*/
	if (w==NIL) goto CON455;
	local[0]= argv[2];
	local[1]= fqv[93];
	ctx->vsp=local+2;
	w=(*ftab[32])(ctx,2,local+0,&ftab[32],fqv[91]); /*find-method*/
	if (w==NIL) goto IF456;
	local[0]= argv[2];
	local[1]= fqv[93];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	goto IF457;
IF456:
	local[0]= NIL;
IF457:
	local[0]= argv[0];
	local[1]= fqv[89];
	local[2]= argv[2];
	local[3]= fqv[92];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	local[3]= argv[3];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto CON436;
CON455:
	local[0]= argv[2];
	local[1]= loadglobal(fqv[94]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto CON458;
	local[0]= argv[2];
	local[1]= fqv[48];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	goto CON436;
CON458:
	local[0]= argv[2];
	local[1]= loadglobal(fqv[65]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto CON459;
	local[0]= argv[0]->c.obj.iv[3];
	local[1]= fqv[95];
	local[2]= argv[2]->c.obj.iv[0];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
	goto CON436;
CON459:
	local[0]= argv[2];
	local[1]= loadglobal(fqv[96]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto CON460;
	local[0]= argv[0];
	local[1]= fqv[97];
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
	goto CON436;
CON460:
	local[0]= argv[2];
	local[1]= loadglobal(fqv[98]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto CON461;
	local[0]= argv[0];
	local[1]= fqv[99];
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
	goto CON436;
CON461:
	local[0]= argv[2];
	local[1]= loadglobal(fqv[40]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto CON462;
	local[0]= fqv[40];
	ctx->vsp=local+1;
	w=(pointer)PRINT(ctx,1,local+0); /*print*/
	local[0]= argv[2];
	local[1]= fqv[48];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	goto CON436;
CON462:
	local[0]= argv[2];
	local[1]= loadglobal(fqv[100]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto CON463;
	local[0]= argv[2];
	local[1]= fqv[93];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= argv[0]->c.obj.iv[3];
	local[1]= loadglobal(fqv[81]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto IF464;
	local[0]= argv[0];
	local[1]= argv[2];
	ctx->vsp=local+2;
	w=(*ftab[33])(ctx,2,local+0,&ftab[33],fqv[101]); /*draw-body*/
	local[0]= w;
	goto IF465;
IF464:
	local[0]= argv[2];
	local[1]= fqv[95];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= NIL;
	local[2]= argv[2];
	local[3]= fqv[102];
	local[4]= argv[0]->c.obj.iv[1];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,3,local+2); /*send*/
	local[2]= w;
WHL467:
	if (local[2]==NIL) goto WHX468;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2] = (w)->c.cons.cdr;
	w = local[3];
	local[1] = w;
	local[3]= argv[0];
	local[4]= fqv[97];
	local[5]= local[1];
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(pointer)SEND(ctx,4,local+3); /*send*/
	goto WHL467;
WHX468:
	local[3]= NIL;
BLK469:
	w = NIL;
	local[0]= w;
IF465:
	goto CON436;
CON463:
	local[0]= argv[2];
	local[1]= loadglobal(fqv[103]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto CON471;
	local[0]= argv[2];
	local[1]= fqv[93];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= argv[0]->c.obj.iv[3];
	local[1]= loadglobal(fqv[81]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto IF472;
	local[0]= argv[0];
	local[1]= argv[2];
	ctx->vsp=local+2;
	w=(*ftab[33])(ctx,2,local+0,&ftab[33],fqv[101]); /*draw-body*/
	local[0]= w;
	goto IF473;
IF472:
	local[0]= argv[2];
	local[1]= fqv[95];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= NIL;
	local[2]= argv[2];
	local[3]= fqv[104];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
WHL475:
	if (local[2]==NIL) goto WHX476;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2] = (w)->c.cons.cdr;
	w = local[3];
	local[1] = w;
	local[3]= argv[0];
	local[4]= fqv[97];
	local[5]= local[1];
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(pointer)SEND(ctx,4,local+3); /*send*/
	goto WHL475;
WHX476:
	local[3]= NIL;
BLK477:
	w = NIL;
	local[0]= w;
IF473:
	goto CON436;
CON471:
	local[0]= argv[2];
	local[1]= loadglobal(fqv[105]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto CON479;
	local[0]= argv[0];
	local[1]= fqv[106];
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(pointer)LIST(ctx,1,local+2); /*list*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
	goto CON436;
CON479:
	local[0]= argv[2];
	local[1]= loadglobal(fqv[107]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto CON480;
	local[0]= NIL;
	local[1]= argv[2];
	local[2]= fqv[104];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,2,local+1); /*send*/
	local[1]= w;
WHL482:
	if (local[1]==NIL) goto WHX483;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1] = (w)->c.cons.cdr;
	w = local[2];
	local[0] = w;
	local[2]= argv[0];
	local[3]= fqv[97];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,3,local+2); /*send*/
	goto WHL482;
WHX483:
	local[2]= NIL;
BLK484:
	w = NIL;
	local[0]= w;
	goto CON436;
CON480:
	local[0]= argv[2];
	ctx->vsp=local+1;
	w=(*ftab[0])(ctx,1,local+0,&ftab[0],fqv[2]); /*float-vector-p*/
	if (w==NIL) goto CON486;
	local[0]= argv[0];
	local[1]= fqv[108];
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= argv[3];
	goto CON436;
CON486:
	local[0]= argv[2];
	ctx->vsp=local+1;
	w=(*ftab[34])(ctx,1,local+0,&ftab[34],fqv[109]); /*coordinates-p*/
	if (w==NIL) goto CON487;
	local[0]= argv[0];
	local[1]= fqv[110];
	local[2]= argv[2];
	local[3]= fqv[93];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	local[3]= argv[3];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto CON436;
CON487:
	local[0]= fqv[111];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w==NIL) goto CON488;
	local[0]= argv[2];
	local[1]= loadglobal(fqv[111]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto CON488;
	local[0]= argv[0];
	local[1]= fqv[112];
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= w;
	goto CON436;
CON488:
	local[0]= NIL;
CON436:
	w = local[0];
	local[0]= w;
BLK435:
	ctx->vsp=local; return(local[0]);}

/*:draw-faces*/
static pointer M489geometry_viewer_draw_faces(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<3) maerror();
	if (n>=4) { local[0]=(argv[3]); goto ENT493;}
	local[0]= NIL;
ENT493:
	if (n>=5) { local[1]=(argv[4]); goto ENT492;}
	local[1]= NIL;
ENT492:
ENT491:
	if (n>5) maerror();
	ctx->vsp=local+2;
	local[2]= makeclosure(codevec,quotevec,CLO494,env,argv,local);
	local[3]= argv[2];
	ctx->vsp=local+4;
	w=(pointer)MAPC(ctx,2,local+2); /*mapc*/
	local[0]= w;
BLK490:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer CLO494(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= NIL;
	local[2]= NIL;
	ctx->vsp=local+3;
	w=(*ftab[31])(ctx,3,local+0,&ftab[31],fqv[79]); /*draw-face*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*resetperspective*/
static pointer F201resetperspective(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= makeint((eusinteger_t)5889L);
	ctx->vsp=local+1;
	w=(*ftab[23])(ctx,1,local+0,&ftab[23],fqv[72]); /*glmatrixmode*/
	ctx->vsp=local+0;
	w=(*ftab[24])(ctx,0,local+0,&ftab[24],fqv[73]); /*glloadidentity*/
	local[0]= argv[0];
	local[1]= fqv[113];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)10L);
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)VNORM(ctx,1,local+2); /*norm*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)MAX(ctx,2,local+1); /*max*/
	local[1]= w;
	local[2]= local[1];
	local[3]= argv[0];
	local[4]= fqv[114];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,2,local+3); /*send*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)SCALEVEC(ctx,2,local+2); /*scale*/
	local[2]= w;
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)VPLUS(ctx,2,local+2); /*v+*/
	local[2]= w;
	local[3]= argv[0];
	local[4]= fqv[115];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,2,local+3); /*send*/
	local[3]= w;
	local[4]= argv[0];
	local[5]= fqv[116];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,2,local+4); /*send*/
	local[4]= w;
	ctx->vsp=local+5;
	w=(*ftab[35])(ctx,1,local+4,&ftab[35],fqv[117]); /*rad2deg*/
	local[4]= w;
	local[5]= makeflt(1.0000000000000000000000e+00);
	local[6]= loadglobal(fqv[118]);
	local[7]= loadglobal(fqv[119]);
	ctx->vsp=local+8;
	w=(pointer)MKFLTVEC(ctx,4,local+4); /*float-vector*/
	local[4]= w;
	ctx->vsp=local+5;
	w=(*ftab[36])(ctx,1,local+4,&ftab[36],fqv[120]); /*gluperspectivefv*/
	local[4]= loadglobal(fqv[121]);
	local[5]= local[0];
	local[6]= local[2];
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)CONCATENATE(ctx,4,local+4); /*concatenate*/
	local[4]= w;
	ctx->vsp=local+5;
	w=(*ftab[37])(ctx,1,local+4,&ftab[37],fqv[122]); /*glulookatfv*/
	local[0]= makeint((eusinteger_t)5888L);
	ctx->vsp=local+1;
	w=(*ftab[23])(ctx,1,local+0,&ftab[23],fqv[72]); /*glmatrixmode*/
	local[0]= w;
BLK495:
	ctx->vsp=local; return(local[0]);}

/*gldraw*/
static pointer F202gldraw(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
RST497:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-0);
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1]= (w)->c.cons.car;
	local[2]= loadglobal(fqv[123]);
	ctx->vsp=local+3;
	w=(pointer)DERIVEDP(ctx,2,local+1); /*derivedp*/
	if (w==NIL) goto IF498;
	w=local[0];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1]= (w)->c.cons.car;
	goto IF499;
IF498:
	local[1]= loadglobal(fqv[124]);
IF499:
	local[2]= local[1];
	local[3]= fqv[125];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	local[3]= local[1];
	local[4]= fqv[126];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,2,local+3); /*send*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)F201resetperspective(ctx,2,local+2); /*resetperspective*/
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[38])(ctx,1,local+2,&ftab[38],fqv[127]); /*cls*/
	local[2]= (pointer)get_sym_func(fqv[128]);
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)APPLY(ctx,2,local+2); /*apply*/
	local[2]= local[1]->c.obj.iv[3];
	ctx->vsp=local+3;
	w=(pointer)F203swapb(ctx,1,local+2); /*swapb*/
	local[0]= w;
BLK496:
	ctx->vsp=local; return(local[0]);}

/*swapb*/
static pointer F203swapb(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
	if (n>=1) { local[0]=(argv[0]); goto ENT502;}
	local[0]= loadglobal(fqv[129]);
ENT502:
ENT501:
	if (n>1) maerror();
	local[1]= local[0];
	local[2]= fqv[130];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,2,local+1); /*send*/
	local[0]= w;
BLK500:
	ctx->vsp=local; return(local[0]);}

/*position-light*/
static pointer F204position_light(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=4) maerror();
	local[0]= argv[0];
	local[1]= local[0];
	if (fqv[131]!=local[1]) goto IF505;
	local[1]= makeint((eusinteger_t)16384L);
	local[2]= makeint((eusinteger_t)4611L);
	local[3]= argv[1];
	local[4]= argv[2];
	local[5]= argv[3];
	local[6]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+7;
	w=(pointer)MKFLTVEC(ctx,4,local+3); /*float-vector*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= w;
	goto IF506;
IF505:
	local[1]= local[0];
	if (fqv[132]!=local[1]) goto IF507;
	local[1]= makeint((eusinteger_t)16385L);
	local[2]= makeint((eusinteger_t)4611L);
	local[3]= argv[1];
	local[4]= argv[2];
	local[5]= argv[3];
	local[6]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+7;
	w=(pointer)MKFLTVEC(ctx,4,local+3); /*float-vector*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= w;
	goto IF508;
IF507:
	local[1]= local[0];
	if (fqv[133]!=local[1]) goto IF509;
	local[1]= makeint((eusinteger_t)16386L);
	local[2]= makeint((eusinteger_t)4611L);
	local[3]= argv[1];
	local[4]= argv[2];
	local[5]= argv[3];
	local[6]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+7;
	w=(pointer)MKFLTVEC(ctx,4,local+3); /*float-vector*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= w;
	goto IF510;
IF509:
	local[1]= local[0];
	if (fqv[134]!=local[1]) goto IF511;
	local[1]= makeint((eusinteger_t)16387L);
	local[2]= makeint((eusinteger_t)4611L);
	local[3]= argv[1];
	local[4]= argv[2];
	local[5]= argv[3];
	local[6]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+7;
	w=(pointer)MKFLTVEC(ctx,4,local+3); /*float-vector*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= w;
	goto IF512;
IF511:
	local[1]= local[0];
	if (fqv[135]!=local[1]) goto IF513;
	local[1]= makeint((eusinteger_t)16388L);
	local[2]= makeint((eusinteger_t)4611L);
	local[3]= argv[1];
	local[4]= argv[2];
	local[5]= argv[3];
	local[6]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+7;
	w=(pointer)MKFLTVEC(ctx,4,local+3); /*float-vector*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= w;
	goto IF514;
IF513:
	local[1]= local[0];
	if (fqv[136]!=local[1]) goto IF515;
	local[1]= makeint((eusinteger_t)16389L);
	local[2]= makeint((eusinteger_t)4611L);
	local[3]= argv[1];
	local[4]= argv[2];
	local[5]= argv[3];
	local[6]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+7;
	w=(pointer)MKFLTVEC(ctx,4,local+3); /*float-vector*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= w;
	goto IF516;
IF515:
	local[1]= local[0];
	if (fqv[137]!=local[1]) goto IF517;
	local[1]= makeint((eusinteger_t)16390L);
	local[2]= makeint((eusinteger_t)4611L);
	local[3]= argv[1];
	local[4]= argv[2];
	local[5]= argv[3];
	local[6]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+7;
	w=(pointer)MKFLTVEC(ctx,4,local+3); /*float-vector*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= w;
	goto IF518;
IF517:
	local[1]= local[0];
	if (fqv[138]!=local[1]) goto IF519;
	local[1]= makeint((eusinteger_t)16391L);
	local[2]= makeint((eusinteger_t)4611L);
	local[3]= argv[1];
	local[4]= argv[2];
	local[5]= argv[3];
	local[6]= makeflt(0.0000000000000000000000e+00);
	ctx->vsp=local+7;
	w=(pointer)MKFLTVEC(ctx,4,local+3); /*float-vector*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[4])(ctx,3,local+1,&ftab[4],fqv[17]); /*gllightfv*/
	local[1]= w;
	goto IF520;
IF519:
	if (T==NIL) goto IF521;
	local[1]= NIL;
	local[2]= fqv[139];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)XFORMAT(ctx,3,local+1); /*format*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,1,local+1); /*error*/
	local[1]= w;
	goto IF522;
IF521:
	local[1]= NIL;
IF522:
IF520:
IF518:
IF516:
IF514:
IF512:
IF510:
IF508:
IF506:
	w = local[1];
	local[0]= w;
BLK503:
	ctx->vsp=local; return(local[0]);}

/* initializer*/
pointer ___glview(ctx,n,argv,env)
register context *ctx; int n; pointer *argv; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv;
  register int i;
  numunion nu;
  module=argv[0];
  quotevec=build_quote_vector(ctx,QUOTE_STRINGS_SIZE, quote_strings);
  module->c.code.quotevec=quotevec;
  codevec=module->c.code.codevec;
  fqv=qv=quotevec->c.vec.v;
  init_ftab();
	local[0]= fqv[140];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	if (w!=NIL) goto IF523;
	local[0]= fqv[141];
	ctx->vsp=local+1;
	w=(*ftab[39])(ctx,1,local+0,&ftab[39],fqv[142]); /*make-package*/
	local[0]= w;
	goto IF524;
IF523:
	local[0]= NIL;
IF524:
	local[0]= fqv[143];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	if (w==NIL) goto IF525;
	local[0]= fqv[144];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	local[0]= w;
	storeglobal(fqv[145],w);
	goto IF526;
IF525:
	local[0]= fqv[146];
	ctx->vsp=local+1;
	w=(pointer)SIGERROR(ctx,1,local+0); /*error*/
	local[0]= w;
IF526:
	local[0]= fqv[147];
	local[1]= fqv[148];
	ctx->vsp=local+2;
	w=(*ftab[40])(ctx,2,local+0,&ftab[40],fqv[149]); /*require*/
	local[0]= fqv[150];
	local[1]= fqv[151];
	ctx->vsp=local+2;
	w=(*ftab[40])(ctx,2,local+0,&ftab[40],fqv[149]); /*require*/
	local[0]= fqv[152];
	local[1]= fqv[153];
	ctx->vsp=local+2;
	w=(*ftab[40])(ctx,2,local+0,&ftab[40],fqv[149]); /*require*/
	local[0]= fqv[154];
	local[1]= fqv[155];
	ctx->vsp=local+2;
	w=(*ftab[40])(ctx,2,local+0,&ftab[40],fqv[149]); /*require*/
	local[0]= fqv[156];
	local[1]= fqv[157];
	ctx->vsp=local+2;
	w=(*ftab[40])(ctx,2,local+0,&ftab[40],fqv[149]); /*require*/
	local[0]= fqv[158];
	local[1]= fqv[159];
	ctx->vsp=local+2;
	w=(*ftab[40])(ctx,2,local+0,&ftab[40],fqv[149]); /*require*/
	local[0]= fqv[160];
	local[1]= fqv[161];
	ctx->vsp=local+2;
	w=(*ftab[40])(ctx,2,local+0,&ftab[40],fqv[149]); /*require*/
	local[0]= fqv[162];
	local[1]= fqv[163];
	ctx->vsp=local+2;
	w=(*ftab[40])(ctx,2,local+0,&ftab[40],fqv[149]); /*require*/
	local[0]= fqv[164];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	local[0]= fqv[119];
	local[1]= fqv[165];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF527;
	local[0]= fqv[119];
	local[1]= fqv[165];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[119];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF529;
	local[0]= fqv[119];
	local[1]= fqv[166];
	local[2]= makeflt(3.0000000000000000000000e+04);
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF530;
IF529:
	local[0]= NIL;
IF530:
	local[0]= fqv[119];
	goto IF528;
IF527:
	local[0]= NIL;
IF528:
	local[0]= fqv[118];
	local[1]= fqv[165];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF531;
	local[0]= fqv[118];
	local[1]= fqv[165];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[118];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF533;
	local[0]= fqv[118];
	local[1]= fqv[166];
	local[2]= makeflt(2.0000000000000000000000e+02);
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF534;
IF533:
	local[0]= NIL;
IF534:
	local[0]= fqv[118];
	goto IF532;
IF531:
	local[0]= NIL;
IF532:
	local[0]= fqv[45];
	local[1]= fqv[165];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF535;
	local[0]= fqv[45];
	local[1]= fqv[165];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[45];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF537;
	local[0]= fqv[45];
	local[1]= fqv[166];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF538;
IF537:
	local[0]= NIL;
IF538:
	local[0]= fqv[45];
	goto IF536;
IF535:
	local[0]= NIL;
IF536:
	local[0]= fqv[46];
	local[1]= fqv[165];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF539;
	local[0]= fqv[46];
	local[1]= fqv[165];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[46];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF541;
	local[0]= fqv[46];
	local[1]= fqv[166];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF542;
IF541:
	local[0]= NIL;
IF542:
	local[0]= fqv[46];
	goto IF540;
IF539:
	local[0]= NIL;
IF540:
	local[0]= fqv[47];
	local[1]= fqv[165];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF543;
	local[0]= fqv[47];
	local[1]= fqv[165];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[47];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF545;
	local[0]= fqv[47];
	local[1]= fqv[166];
	local[2]= NIL;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF546;
IF545:
	local[0]= NIL;
IF546:
	local[0]= fqv[47];
	goto IF544;
IF543:
	local[0]= NIL;
IF544:
	local[0]= fqv[27];
	local[1]= fqv[165];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint((eusinteger_t)1L);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF547;
	local[0]= fqv[27];
	local[1]= fqv[165];
	local[2]= makeint((eusinteger_t)2L);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[27];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF549;
	local[0]= fqv[27];
	local[1]= fqv[166];
	local[2]= makeint((eusinteger_t)4L);
	local[3]= makeint((eusinteger_t)8L);
	local[4]= makeint((eusinteger_t)1L);
	local[5]= makeint((eusinteger_t)9L);
	local[6]= makeint((eusinteger_t)1L);
	local[7]= makeint((eusinteger_t)10L);
	local[8]= makeint((eusinteger_t)1L);
	local[9]= makeint((eusinteger_t)5L);
	local[10]= makeint((eusinteger_t)12L);
	local[11]= makeint((eusinteger_t)1L);
	local[12]= makeint((eusinteger_t)0L);
	ctx->vsp=local+13;
	w=(pointer)MKINTVECTOR(ctx,11,local+2); /*integer-vector*/
	local[2]= w;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF550;
IF549:
	local[0]= NIL;
IF550:
	local[0]= fqv[27];
	goto IF548;
IF547:
	local[0]= NIL;
IF548:
	local[0]= fqv[167];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	ctx->vsp=local+0;
	addcmethod(ctx,module,M205colormaterial_create,fqv[32],fqv[94],fqv[168]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M217colormaterial_ambient,fqv[41],fqv[94],fqv[169]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M229colormaterial_diffuse,fqv[42],fqv[94],fqv[170]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M241colormaterial_specular,fqv[43],fqv[94],fqv[171]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M253colormaterial_emission,fqv[172],fqv[94],fqv[173]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M265colormaterial_shininess,fqv[174],fqv[94],fqv[175]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M273colormaterial_transparency,fqv[176],fqv[94],fqv[177]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M281colormaterial_opengl,fqv[48],fqv[94],fqv[178]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M283lightsource_create,fqv[32],fqv[40],fqv[179]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M289lightsource_light_id,fqv[14],fqv[40],fqv[180]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M291lightsource_ambient,fqv[41],fqv[40],fqv[181]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M303lightsource_diffuse,fqv[42],fqv[40],fqv[182]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M315lightsource_specular,fqv[43],fqv[40],fqv[183]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M327lightsource_position,fqv[44],fqv[40],fqv[184]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M334lightsource_move,fqv[185],fqv[40],fqv[186]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M336lightsource_enable,fqv[187],fqv[40],fqv[188]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M338lightsource_disable,fqv[189],fqv[40],fqv[190]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M340lightsource_opengl,fqv[48],fqv[40],fqv[191]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M342glviewsurface_create,fqv[32],fqv[81],fqv[192]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M355glviewsurface_material,fqv[193],fqv[81],fqv[194]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M364glviewsurface_color,fqv[95],fqv[81],fqv[195]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M375glviewsurface_window,fqv[196],fqv[81],fqv[197]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M377glviewsurface_3d_mode,fqv[39],fqv[81],fqv[198]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M381glviewsurface_2d_mode,fqv[76],fqv[81],fqv[199]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M383glviewsurface_height,fqv[24],fqv[81],fqv[200]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M389glviewsurface_width,fqv[23],fqv[81],fqv[201]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M395glviewsurface_pos,fqv[202],fqv[81],fqv[203]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M397glviewsurface_x,fqv[21],fqv[81],fqv[204]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M403glviewsurface_y,fqv[22],fqv[81],fqv[205]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M409glviewsurface_clear,fqv[206],fqv[81],fqv[207]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M411glviewsurface_glflush,fqv[130],fqv[81],fqv[208]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M413glviewsurface_point,fqv[82],fqv[81],fqv[209]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M415glviewsurface_line,fqv[83],fqv[81],fqv[210]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M417glviewsurface_3d_point,fqv[211],fqv[81],fqv[212]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M419glviewsurface_3d_line,fqv[87],fqv[81],fqv[213]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M421glviewsurface_draw_faces,fqv[106],fqv[81],fqv[214]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M424glviewsurface_rectangle,fqv[84],fqv[81],fqv[215]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[216],module,F200geometry__default_viewsurface,fqv[217]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M428glviewsurface_draw_point,fqv[218],fqv[81],fqv[219]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M430glviewsurface_draw_line,fqv[220],fqv[81],fqv[221]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M432glviewsurface_draw_rectangle,fqv[222],fqv[81],fqv[223]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M434geometry_viewer_draw_one,fqv[89],fqv[123],fqv[224]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M489geometry_viewer_draw_faces,fqv[106],fqv[123],fqv[225]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[226],module,F201resetperspective,fqv[227]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[228],module,F202gldraw,fqv[229]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[230],module,F203swapb,fqv[231]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[232],module,F204position_light,fqv[233]);
	local[0]= fqv[234];
	local[1]= fqv[235];
	ctx->vsp=local+2;
	w=(*ftab[41])(ctx,2,local+0,&ftab[41],fqv[236]); /*provide*/
	local[0]= NIL;
	ctx->vsp=local; return(local[0]);}
static void init_ftab()
{  register int i;
  for (i=0; i<42; i++) ftab[i]=fcallx;
}
